--[[
    Project: AtlasMajorCities English NPC Plugin
    Author: modefanz.eu ~ Modefanz Coding Team
    Discripton: English NPC Plugin for AtlasMajorCities.
    Release Date: May.2009
    Release Version: 1.5
    Internal: AMC.enUS.15
]]--

local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AMCL = AceLocale:NewLocale("AtlasMajorCities", "enUS", true);

if AMCL then
	--Common	
	AMCL["Major Cities"] = "Major Cities";
  
  	---Common Names, Items & Buildings
  	-- Public Shops, Facilities, Equipments, Tools
	AMCL["Inn"] = "Inn";
	AMCL["Mailbox"] = "Mailbox";
	AMCL["Forge"] = "Forge";
	AMCL["Stove"] = "Cooking Stove";
	AMCL["AH"] = "Auction House";
	AMCL["Bank"] = "Bank";
	AMCL["Bshop"] = "Barbershop";
	-- PvP commanders
	AMCL["Alliance Brigadier"] = "Alliance Brigadier General";
	AMCL["Ancients Emissary"] = "Strand of the Ancients Emissary";
	-- Training Dummies
	AMCL["E Dummy"] = "Expert's Training Dummy";
	AMCL["M Dummy"] = "Master's Training Dummy";
	AMCL["G Dummy"] = "Grandmaster's Training Dummy";
	AMCL["H Dummy"] = "Heroic Training Dummy";
	AMCL["Practice Dummy"] = "Practice Dummy";
	-- Weapons
	AMCL["Bows"] = 			"          Bows";
	AMCL["Fist Weapons"] = 	"          Fist Weapons";
	AMCL["Staves"] = 		"          Staves";
	AMCL["Thrown"] = 		"          Thrown";
	AMCL["Daggers"] = 		"          Daggers";
	AMCL["Crossbow"] = 		"          Crossbow";
	AMCL["Guns"] = 			"          Guns";
	AMCL["Polearms"] = 		"          Polearms";
	AMCL["One-Handed Maces"] = 	"          One-Handed Maces";
	AMCL["Two-Handed Maces"] = 	"          Two-Handed Maces";
	AMCL["Two-Handed Sword"] = 	"          Two-Handed Sword";
	AMCL["One-Handed Sword"] = 	"          One-Handed Sword";
	AMCL["One-Handed Axes"] = 	"          One-Handed Axes";
	AMCL["Two-Handed Axes"] = 	"          Two-Handed Axes";
	-- Portals
	AMCL["PorStor"] = "Portal to Stormwind";
	AMCL["PorIron"] = "Portal to Ironforge";
	AMCL["PorDarn"] = "Portal to Darnassus";
	AMCL["PorExod"] = "Portal to Exodar";
	AMCL["PorShat"] = "Portal to Shattrath";
	AMCL["PorOrgr"] = "Portal to Orgrimmar";
	AMCL["PorUnde"] = "Portal to Undercity";
	AMCL["PorSilv"] = "Portal to Silvermoon";
	AMCL["PorThBl"] = "Portal to Thunder Bluff";
	AMCL["PorBlasted"] = "Portal to Blasted Lands";
  
  --NPC Dalaran
  --White
  -- Krasus' Landing
	AMCL["Aludane Whitecloud"] = "Aludane Whitecloud <Flightmaster>";
	AMCL["Hira Snowdawn"] = "Hira Snowdawn <Cold Weather Flying Trainer>";
	AMCL["Officer Van Rossem"] = "Officer Van Rossem";
	AMCL["Sky-Reaver Klum"] = "Sky-Reaver Klum";
  
  --Orng
	AMCL["Runeweaver Square"] = "Runeweaver Square";

	AMCL["Entrance to the Sewers"] = "Entrance to the Sewers";

	AMCL["Magical Menagerie"] = "Magical Menagerie";
	AMCL["Mei Francis"] = "Mei Francis <Exotic Mounts>";
	AMCL["Breanni"] = "Breanni <Pet Supplies>";
	AMCL["Tassia Whisperglen"] = "Tassia Whisperglen <Stable Master>";

	AMCL["Teleport to Violet Stand"] = "Teleport to Violet Stand Crystal";
	AMCL["Archmage Celindra"] = "Archmage Celindra <Portal Trainer>";
	AMCL["Warcaster Fanoraithe"] = "Warcaster Fanoraithe <Mage Trainer>";
	AMCL["Jessa Weaver"] = "Jessa Weaver <Mage Trainer>";

	AMCL["The Hunter's Reach"] = "The Hunter's Reach";
	AMCL["Dagna Flintlock"] = "Dagna Flintlock <Gunsmith>";
	AMCL["Jarold Puller"] = "Jarold Puller <Specialty Ammunition>";
	AMCL["Aemara"] = "Aemara <Bowyer>";

	AMCL["Aerith Primrose"] = "Aerith Primrose <Flower Vendor>";

	AMCL["The Arsenal Absolute"] = "The Arsenal Absolute";
	AMCL["Bartram Haller"] = "Bartram Haller <Dagger & Fist Weapon Merchant>";
	AMCL["Kerta the Bold"] = "Kerta the Bold <Axe & Polearm Merchant>";
	AMCL["Valaden Silverblade"] = "Valaden Silverblade <Sword Merchant>";
	AMCL["Walther Whiteford"] = "Walther Whiteford <Mace Merchant>";

	AMCL["Dalaran Visitor Center"] = "Dalaran Visitor Center";
	AMCL["Andrew Matthews"] = "Andrew Matthews <Guild Master>";
	AMCL["Elizabeth Ross"] = "Elizabeth Ross <Tabard Vendor>";
	AMCL["Archivist Betha"] = "Archivist Betha <City Historian>";

	AMCL["Curiosities & Moore"] = "Curiosities & Moore";
	AMCL["Debbi Moore"] = "Debbi Moore <Trinkets & Charms>";
	AMCL["Brammold Deepmine"] = "Brammold Deepmine <Antiques & Heirlooms>";
	AMCL["Orton Bennet"] = "Orton Bennet <Offhand Offerings>";
	AMCL["Ninsianna"] = "Ninsianna <Relics>";

	AMCL["Applebough"] = "Applebough <Fuit Vendor>";
	AMCL["Windle Sparkshine"] = "Windle Sparkshine, Wand Windle's Lighter";

	AMCL["Sisters Sorcerous"] = "Sisters Sorcerous";
	AMCL["Hagatha Moorehead"] = "Hagatha Moorehead <Reagent Merchant>";
	AMCL["Endora Moorehead"] = "Endora Moorehead <Magical Goods>";

	AMCL["The Threads of Fate"] = "The Threads of Fate";
	AMCL["Paldesse"] = "Paldesse <Cloth Armor Merchant>";
	AMCL["Karandonna"] = "Karandonna <Clothier>";
	AMCL["Sheddle Glossgleam"] = "Sheddle Glossgleam <Cobbler>";
	AMCL["Chameli Banaphash"] = "Chameli Banaphash <Haberdasher>";
	AMCL["Norvin Alderman"] = "Norvin Alderman <Cloaks>";

	AMCL["The Wonderworks"] = "The Wonderworks";
	AMCL["Jepetto Joybuzz"] = "Jepetto Joybuzz <Toymaker>";
	AMCL["Clockwork Assistant"] = "Clockwork Assistant <Jepetto's Companion>";

	AMCL["The Legerdemain Lounge"] = "The Legerdemain Lounge";
	AMCL["Amisi Azuregaze"] = "Amisi Azuregaze <Innkeeper>";
	AMCL["Arille Azuregaze"] = "Arille Azuregaze <Bartender>";
	AMCL["Sandra Bartan"] = "Sandra Bartan <Barmaid>";
	AMCL["Afsaneh Asrar"] = "Afsaneh Asrar <Assistant Innkeeper>";

	AMCL["Kizi Copperclip"] = "Kizi Copperclip <Barber>";

	AMCL["One More Glass"] = "One More Glass";
	AMCL["Fialla Sweetberry"] = "Fialla Sweetberry <Food & Drink Vendor>";
	AMCL["Christi Stockton"] = "Christi Stockton <Wine Vendor>";
	AMCL["Lucian Trias"] = "Lucian Trias <Bread & Cheese Vendor>";

	AMCL["Aimee"] = "Aimee <Pie, Pastry & Cakes Vendor>";

  --Purp
	AMCL["The Eventide"] = "The Eventide";

	AMCL["Marcia Chase"] = "Marcia Chase <Grand Master Fishing Trainer & Supplies>";
	AMCL["Marcia Chase &"] = "";

	AMCL["Glorious Goods"] = "Glorious Goods";
	AMCL["Jack Findle"] = "'Red' Jack Findle <Trade Supplies>";
	AMCL["Susana Averoy"] = "Susana Averoy <General Goods>";

	AMCL["Langrom's Leather & Links"] = "Langrom's Leather & Links";
	AMCL["Bragund Brightlink"] = "Bragund Brightlink <Mail Armor Merchant>";
	AMCL["Valerie Langrom"] = "Valerie Langrom <Leather Armor Merchant>";

	AMCL["The Militant Mystic"] = "The Militant Mystic";
	AMCL["Abra Cadabra"] = "Abra Cadabra <Wands>";
	AMCL["Shen Kang Cheng"] = "Shen Kang Cheng <Staves>";

  --Yell
	AMCL["The Violet Hold"] = "The Violet Hold";

	AMCL["Archmage Timear"] = "Archmage Timear";
	AMCL["Archmage Lan'dalock"] = "Archmage Lan'dalock";
	AMCL["Torgo the Younger"] = "Torgo the Younger";
	AMCL["The Violet Hold Instance"] = "The Violet Hold Instance";

  --Blue
	AMCL["The Silver Enclave a"] = "The Silver Enclave (Alliance)";

	AMCL["A Hero's Welcome"] = "A Hero's Welcome";
	AMCL["Isirami Fairwind"] = "Isirami Fairwind <Innkeeper>";
	AMCL["Stefen Cotter"] = "Stefen Cotter <Bartender>";
	AMCL["Katherine Lee"] = "Katherine Lee <Grand Master Cooking Trainer>";
	AMCL["Derek Odds"] = "Derek Odds <Cooking Supplies>";
	AMCL["Inzi Charmlight"] = "Inzi Charmlight <Barmaid>";
	AMCL["Marcella Bloom"] = "Marcella Bloom <Barmaid>";
	AMCL["Caliel Brightwillow"] = "Caliel Brightwillow <Assistant Innkeeper>";

	AMCL["The Beer Garden"] = "The Beer Garden";
	AMCL["Laire Brewgold"] = "Laire Brewgold <Brewmaiden>";
	AMCL["Coira Longrifle"] = "Coira Longrifle <Brewmaiden>";

	AMCL["The Silver Enclave"] = "The Silver Enclave";

	AMCL["Arcanist Braedin"] = "Arcanist Braedin <Wintergrasp Battle-Mage>";
	AMCL["Portal to Battlefields"] = "Portals to the Battlefields";

	AMCL["Upstair"] = "Upstairs";
	AMCL["Arcanist Ivrenne"] = "Arcanist Ivrenne <Emblem of Heroism Quartermaster>";
	AMCL["Arcanist Ivrenne &"] = "";
	AMCL["Arcanist Adurin"] = "Arcanist Adurin <Emblem of Valor Quartermaster>";
	AMCL["Arcanist Firael"] = "Arcanist Firael <Emblem of Conquest Quartermaster>";
	AMCL["Arcanist Firael &"] = "";

  --Gren
	AMCL["The Violet Citadel"] = "The Violet Citadel";

	AMCL["Rhonin"] = "Rhonin <Leader of the Kirin Tor>";
	AMCL["Vereesa Windrunner"] = "Vereesa Windrunner <Ranger General of the Silver Covenant>";
	AMCL["Vereesa Windrunner &"] = ""; 

	AMCL["Archmage Alvareaux"] = "Archmage Alvareaux <Kirin Tor Quartermaster>";

	AMCL["Zidormi"] = "Zidormi <Keepers of Time>";
	AMCL["Portal Cavern Time"] = "Portal to the Caverns of Time";

	AMCL["Portal Purple Parlor"] = "Portal to the Purple Parlor";

	AMCL["The Purple Parlor"] = "The Purple Parlor";
	AMCL["Archmage John Nicholas"] = "Archmage John Nicholas <The Punisher>";
	AMCL["Alfred Copperworth"] = "Alfred Copperworth <Butler>";

  --Grey
	AMCL["The Magus Commerce"] = "The Magus Commerce Exchange";

	AMCL["Simply Enchanting"] = "Simply Enchanting";
	AMCL["Enchanter Nalthanis"] = "Enchanter Nalthanis <Grand Master Enchanting Trainer>";
	AMCL["Enchanter Nalthanis &"] = "";
	AMCL["Ildine Sorrowspear"] = "Ildine Sorrowspear <Enchanting Supplies>";
	AMCL["Vanessa Sellers"] = "Vanessa Sellers <Shard Trader>";

	AMCL["First to Your Aid"] = "First to Your Aid";
	AMCL["Olisarra the Kind"] = "Olisarra the Kind <Grand Master First Aid Trainer>";
	AMCL["Angelique Butler"] = "Angelique Butler <First Aid Supplies>";

	AMCL["Talismanic Textiles"] = "Talismanic Textiles";
	AMCL["Charles Worth"] =  "Charles Worth <Grand Master Tailoring Trainer>";
	AMCL["Dominique Stefano"] = "Dominique Stefano <Tailoring Supplies>";
	AMCL["Ainderu Summerleaf"] = "Ainderu Summerleaf <Mooncloth Tailoring Specialist>";
	AMCL["Ainderu Summerleaf &"] = "";
	AMCL["Lalla Brightweave"] = "Lalla Brightweave <Spellfire Tailoring Specialist>";
	AMCL["Linna Bruder"] = "Linna Bruder <Shadoweave Tailoring Specialist>";

	AMCL["Legendary Leathers"] = "Legendary Leathers";
	AMCL["Braeg Stoutbeard"] = "Braeg Stoutbeard <Fur & Leather Trader>";
	AMCL["Diane Cannings"] = "Diane Cannings <Grand Master Leatherworking Trainer>";
	AMCL["Diane Cannings &"] = "";
	AMCL["Derik Marks"] = "Derik Marks <Grand Master Skinning Trainer>";
	AMCL["Ranid Glowergold"] = "Ranid Glowergold <Leatherworking & Skinning Supplies>";
	AMCL["Ranid Glowergold &"] = "";
	AMCL["Manfred Staller"] = "Manfred Staller <Elemental Leatherworking Trainer>";
	AMCL["Manfred Staller &"] = "";
	AMCL["Andellion"] = "Andellion <Dragonscale Leatherworking Trainer>";
	AMCL["Namha Moonwater"] = "Namha Moonwater <Tribal Leatherworking Trainer>";
	AMCL["Namha Moonwater &"] = "";

	AMCL["Like Clockwork"] = "Like Clockwork";
	AMCL["Justin Oshenko"] = "Justin Oshenko <Grand Master Engineering Trainer>";
	AMCL["Justin Oshenko &"] = "";
	AMCL["Bryan Landers"] = "Bryan Landers <Engineering Supplies>";
	AMCL["Didi the Wrench"] = "Didi the Wrench <Goblin Engineering Trainer>";
	AMCL["Findle Whistlesteam"] = "Findle Whistlesteam <Gnome Engineering Trainer>";

	AMCL["All That Glitters Prospecting Co"] = "All That Glitters Prospecting Co.";
	AMCL["Jedidiah Handers"] = "Jedidiah Handers <Grand Master Mining Trainer>";
	AMCL["Dorian Fines"] = "Dorian Fines <Mining Supplies>";

	AMCL["The Forge of Fate"] = "The Forge of Fate";

	AMCL["Tanks For Everything"] = "Tanks For Everything";
	AMCL["Alard Schmied"] = "Alard Schmied <Grand Master Blacksmithing Trainer>";
	AMCL["Alard Schmied &"] = "";
	AMCL["Palja Amboss"] = "Palja Amboss <Blacksmithing Supplies>";
	AMCL["Imindril Spearsong"] = "Imindril Spearsong <Weaponsmithing Trainer>";
	AMCL["Orland Schaeffer"] = "Orland Schaeffer <Armorsmithing Trainer>";
	AMCL["Dubin Clay"] = "Dubin Clay <Plate Armor Merchant>";
	AMCL["Griselda Hunderland"] = "Griselda Hunderland <Plate Armor Merchant>";
	AMCL["Anthony Durain"] = "Anthony Durain <Shield Merchant>";

	AMCL["Dorothy Egan"] = "Dorothy Egan <Grand Master Herbalism Trainer>";
	AMCL["Edward Egan"] = "Edward Egan <Herbalism Supplies>";

	AMCL["The Scribes Sacellum"] = "The Scribes Sacellum";
	AMCL["Professor Pallin"] = "Professor Pallin <Grand Master Inscription Trainer>";
	AMCL["Professor Pallin &"] = "";
	AMCL["Larana Drome"] = "Larana Drome <Inscription Supplies>";
	AMCL["Jessica Sellers"] = "Jessica Sellers <Ink Trader>";
	AMCL["Theresa Wolf"] = "Theresa Wolf <Loremaster>";

  --_Red
	AMCL["Sunreaver's Sanctuary"] = "The Sunreaver's Sanctuary (Horde)";

	AMCL["Horde Warbringer"] = "Horde Warbringer";
	AMCL["High Arcanist Savor"] = "High Arcanist Savor";

	AMCL["Magister Surdiel"] = "Magister Surdiel <Wintergrasp Battle-Mage>";
	AMCL["Eye of the Storm Portal"] = "Eye of the Storm Portal";
	AMCL["Arathi Basin Portal"] = "Arathi Basin Portal";

	AMCL["Strand of the Ancients Portal"] = "Strand of the Ancients Portal";
	AMCL["Alterac Valley Portal"] = "Alterac Valley Portal";
	AMCL["Warsong Gulch Portal"] = "Warsong Gulch Portal";

	AMCL["Magister Sarien"] = "Magister Sarien <Emblem of Conquest Quartermaster>";
	AMCL["Magister Sarien &"] = "";
	AMCL["Magister Brasael"] = "Magister Brasael <Emblem of Valor Quartermaster>";
	AMCL["Magistrix Lambriesse"] = "Magistrix Lambriesse <Emblem of Heroism>";
	AMCL["Magistrix Lambriesse &"] = "";

	AMCL["The Filthy Animal"] = "The Filthy Animal";
	AMCL["Uda the Beast"] = "Uda the Beast <Innkeeper>";
	AMCL["Kyunghee"] = "Kyunghee <Throwing Axes>";
	AMCL["Mato"] = "Mato <Food & Drink>";
	AMCL["Hamaka"] = "Hamaka <Bartender>";
	AMCL["Umbiwa"] = "Umbiwa <Barmaid>";
	AMCL["Mimbihi"] = "Mimbihi <Barmaid>";
	AMCL["Awilo Lon'gomba"] = "Awilo Lon'gomba <Grand Master Cooking Trainer>";
	AMCL["Awilo Lon'gomba &"] = "";
	AMCL["Misensi"] = "Misensi <Cooking Supplies>";
	AMCL["Abohba"] = "Abohba <Assistant Innkeeper>";


  --NPC Dalaran Sewers
  --White
	AMCL["D Sew"] = "Dalaran Sewers";

	AMCL["Entrance"] = "Entrance or Exit to the Sewers";

	AMCL["The Black Market"] = "The Black Market";
	AMCL["Hexil Garrot"] = "Hexil Garrot <Tools of the Trade>";
	AMCL["Pazik The Pick"] = "Pazik 'The Pick' Prylock <Locksmith>";
	AMCL["Scout Nisstina"] = "Scout Nisstina <The Three Fingered Bandit>";
	AMCL["Alchemist Cinesra"] = "Alchemist Cinesra <Poison Vendor>";
	AMCL["Darahir"] = "Darahir <Reagents & Magical Goods>";

	AMCL["Circle of Wills"] = "The Circle of Wills";
	AMCL["Blazik Fireclaw"] = "Blazik Fireclaw <Water Vendor>";
	AMCL["Nargle Lashcord"] = "Nargle Lashcord <Veteran Arena Vendor>";
	AMCL["Xazi Smolderpipe"] = "Xazi Smolderpipe <Arena Vendor>";
	AMCL["Zom Bocom"] = "Zom Bocom <Apprentice Arena Vendor>";
	AMCL["Shifty Vickers"] = "Shifty Vickers";

	AMCL["Baroness Llana"] = "'Baroness' Llana <Arena Organizer>";
	AMCL["Schembari Shearbolt"] = "Schembari 'Uncle Sal' Shearbolt <Arena Battlemaster>";
	AMCL["Schembari Shearbolt &"] = "";

	AMCL["Rickard Rustbolt"] = "'Techs' Rickard Rustbolt <Arena Battlemaster>";

	AMCL["Sarah Brady"] = "Sarah Brady <Alcohol>";
	AMCL["Minzi Minx"] = "Minzi the Minx <Arena Battlemaster>";

	AMCL["Nixi Fireclaw"] = "Nixi Fireclaw <Water Vendor>";

	AMCL["Kanika Goldwell"] = "Kanika Goldwell <Arena Organizer>";
	AMCL["Ramik Slamwrench"] = "Ramik Slamwrench <Arena Battlemaster>";

	AMCL["Danik Blackshaft"] = "'Dapper' Danik Blackshaft <Arena Battlemaster>";

	AMCL["Cantrips & Crows"] = "Cantrips & Crows";
	AMCL["Ajay Green"] = "Ajay Green <Innkeeper>";
	AMCL["Narisa Redgold"] = "Narisa Redgold <Barmaid>";

	AMCL["Binzik Goldbook"] = "Binzik Goldbook <Banker>";

	AMCL["Angelo Pescatore"] = "Angelo Pescatore <Fishing Supplies>";

	AMCL["Rin Duoctane"] = "Rin Duoctane";

	AMCL["Sewer Pipe"] = "Entrance or Exit that you need a flying mount";
	AMCL["Add On"] = "to use";

	AMCL["Washed-up Mage"] = "Washed-up Mage";


  --NPC Darnassus 
  --White  
	AMCL["Warrior's Terrace"] = "Warrior's Terrace";
   
	AMCL["Mydrannul"] = "Mydrannul <General Goods Vendor>";
	AMCL["Shylenai"] = "Shylenai <Owl Trainer>";
	AMCL["Fyrenna"] = "Fyrenna <Food & Drink Vendor>";
	AMCL["Ancient of War"] = "Ancient of War";
   
	AMCL["Sildanair"] = "Sildanair <Warrior Trainer>";
	AMCL["Thyn'tel"] = "Thyn'tel Bladeweaver";
   
	AMCL["Elanaria"] = "Elanaria";
	AMCL["Arias'ta"] = "Arias'ta Bladesinger <Warrior Trainer>";
	AMCL["Darnath"] = "Darnath Bladesinger <Warrior Trainer>";
	AMCL["Brogun"] = "Brogun Stoneshield <Alterac Valley Battlemaster>";
	AMCL["Enlae"] = "Enlae <Eye of the Storm Battlemaster>";
	AMCL["Aethalas"] = "Aethalas <Warsong Gulch Battlemaster>";
	AMCL["Fima"] = "Fima Five-Fingers <Arena Battlemaster>";
	AMCL["Keras"] = "Keras Wolfheart <Arathi Basin Battlemaster>";
	AMCL["Nivara"] = "Nivara Bladedancer <Strand of the Ancients Battlemaster>";
	AMCL["Nivara &"] = "";
 
	AMCL["Ariyell"] = "Ariyell Skyshadow <Weapon Merchant>";
	AMCL["Mathiel"] = "Mathiel";
	AMCL["Cylania"] = "Cylania <Night Elf Armorer>";
	AMCL["Ilyenia"] = "Ilyenia Moonfire <Weapon Master>";
  
  --Purp
	AMCL["Tradesmen's Terrace"] = "Tradesmen's Terrace";
   
	AMCL["General Goods & Bags"] = "General Goods & Bags";
	AMCL["Ellandrieth"] = "Ellandrieth <General Goods>";
	AMCL["Yldan"] = "Yldan <Bag Merchant>";
   
	AMCL["Weapons"] = "Weapons";
	AMCL["Glorandiir"] = "Glorandiir <Axe Merchant>";
	AMCL["Merelyssa"] = "Merelyssa <Blade Merchant>";
	AMCL["Mythidan"] = "Mythidan <Mace & Staff Merchant>";
	AMCL["Kieran"] = "Kieran <Weapon Merchant>";
   
	AMCL["Fletcher & Thrown Weapons"] = "Fletcher & Thrown Weapons";
	AMCL["Landria"] = "Landria <Bow Merchant>";
	AMCL["Turian"] = "Turian <Thrown Weapon Merchant>";
   
	AMCL["CAHW"] = "Cloth Armor & Two-handed Weapons";
	AMCL["Vinasia"] = "Vinasia <Cloth Armor Merchant>";
	AMCL["Ealyshia D"] = "Ealyshia Dewwhisper <Two-handed Weapon Merchant>";
	AMCL["Ealyshia D &"] = "";
 
	AMCL["Leather Armor"] = "Leather Armor";
	AMCL["Cyridan"] = "Cyridan <Leather Armor Merchant>";
   
	AMCL["Mail Armor & Shields"] = "Mail Armor & Shields";
	AMCL["Melea"] = "Melea <Mail Armor Merchant>";
	AMCL["Caynrus"] = "Caynrus <Shield Merchant>";
   
	AMCL["Jareth"] = "Jareth Wildwoods";
   
	AMCL["Treshala"] = "Treshala Fallowbrook";
   
	AMCL["Sentinel's Bunkhouse"] = "Sentinel's Bunkhouse";
   
	AMCL["Staff & Robe"] = "Staff & Robe";
	AMCL["Andrus"] = "Andrus <Staff Merchant>";
	AMCL["Anadyia"] = "Anadyia <Robe Vendor>";

	AMCL["Jaeana"] = "Jaeana <Meat Vendor>";
	AMCL["Jaeana&"] = "           (Does a circle around the Weapons and Fletcher buildings)";

  --Yell
	AMCL["Craftsmen's Terrace"] = "Craftsmen's Terrace";

	AMCL["Guild"] = "Guild";
	AMCL["Lysheana"] = "Lysheana <Guild Master>";
	AMCL["Shalumon"] = "Shalumon <Tabard Vendor>";
	AMCL["Ellaercia"] = "Ellaercia <Guild Tabard Designer>";

	AMCL["Saelienne"] = "Innkeeper Saelienne";

	AMCL["Tailoring &"] = "Tailoring & Leatherworking";
	AMCL["Me'lynn"] = "Me'lynn <Tailoring Trainer>";
	AMCL["Elynna"] = "Elynna <Tailoring Supplies>";
	AMCL["Raedon D"] = "Raedon Duskstriker <Alliance Cloth Quartermaster>";
	AMCL["Raedon D &"] = "";
	AMCL["Telonis"] = "Telonis <Leatherworking Trainer>";
	AMCL["Saenorion"] = "Saenorion <Leatherworking Supplies>";
	AMCL["Eladriel"] = "Eladriel <Skinning Trainer>";
	AMCL["Lotherias"] = "Lotherias";

	AMCL["General"] = "General Trade";
	AMCL["Mythrin'dir"] = "Mythrin'dir <Trade Supplies>";

	AMCL["Enchanting"] = "Enchanting & Inscriptions";
	AMCL["Taladan"] = "Taladan <Enchanting Trainer>";
	AMCL["Vaean"] = "Vaean <Enchanting Supplies>";
	AMCL["Feyden D"] = "Feyden Darkin <Inscription Trainer>";
	AMCL["Illianna M"] = "Illianna Moonscribe <Inscription Supplies>";

	AMCL["Alchemy"] = "Alchemy & Argent Dawn";
	AMCL["Ainethil"] = "Ainethil <Alchemy Trainer>";
	AMCL["Ulthir"] = "Ulthir <Alchemy Supplies>";
	AMCL["Argent Guard Manados"] = "Argent Guard Manados <The Argent Dawn>";
	AMCL["D Selgorm"] = "Dawnwatcher Selgorm <The Argent Dawn>";
	AMCL["D Shaedlass"] = "Dawnwatcher Shaedlass <The Argent Dawn>";

	AMCL["Cooking"] = "Cooking";
	AMCL["Alegorn"] = "Alegorn <Cooking Trainer>";
	AMCL["Fyldan"] = "Fyldan <Cooking Supplies>";

	AMCL["First Aid"] = "First Aid";
	AMCL["Dannelor"] = "Dannelor <First Aid Trainer>";

  --Blue
	AMCL["Cenarion Enclave"] = "Cenarion Enclave";

	AMCL["Tunnel R Trainer"] = "Tunnel to Rogue Trainer";

	AMCL["Food & Drink"] = "Food & Drink";
	AMCL["Dendrythis"] = "Dendrythis <Food & Drink Vendor>";

	AMCL["Rellian G"] = "Rellian GreenSpyre";

	AMCL["Mounts"] = "Mounts";
	AMCL["Jartsam"] = "Jartsam <Riding Trainer>";
	AMCL["Lelanai"] = "Lelanai <Saber Handler>";

	AMCL["Hunter"] = "Hunter Trainers";
	AMCL["Alassin"] = "Alassin <Stable Master>";
	AMCL["Jocaste"] = "Jocaste <Hunter Trainer>";
	AMCL["Corand"] = "Corand";
	AMCL["Jeen'ra N"] = "Jeen'ra Nightrunner <Hunter Trainer>";
	AMCL["Dorion"] = "Dorion <Hunter Trainer>";
	AMCL["Silvaria"] = "Silvaria <Pet Trainer>";

	AMCL["Druid"] = "Druid Trainers";
	AMCL["Denatharion"] = "Denatharion <Druid Trainer>";
	AMCL["Fylerian N"] = "Fylerian Nightwing <Druid Trainer>";
	AMCL["Cyroen"] = "Cyroen <Reagents>";
	AMCL["Mathrengyl B"] = "Mathrengyl Bearwalker <Druid Trainer>";
	AMCL["Fandral S"] = "Arch Druid Fandral Staghelm";

	AMCL["Poisons"] = "Poison Vendor";
	AMCL["Kyrai"] = "Kyrai <Poison Supplies>";
	AMCL["Faelyssa"] = "Faelyssa";

	AMCL["Rogue"] = "Rogue Trainers";
	AMCL["Syurna"] = "Syurna <Rogue Trainer>";
	AMCL["Anishar"] = "Anishar <Rogue Trainer>";
	AMCL["Erion S"] = "Erion Shadewhisper <Rogue Trainer>";

  --Gren
	AMCL["The Temple Gardens"] = "The Temple Gardens";

	AMCL["Portal to Rut'theran"] = "Portal to Rut'theran Village";

	AMCL["O Lunalight"] = "Officer Lunalight <Darnassus Commendations>";

	AMCL["Sister Aquinne"] = "Sister Aquinne <Novice Priestess>";

	AMCL["Fishing"] = "Fishing";
	AMCL["Astaia"] = "Astaia <Fishing Trainer>";
	AMCL["Voloren"] = "Voloren <Fishing Supplies>";
	AMCL["Talaelar"] = "Talaelar <Fish Vendor>";

	AMCL["Herbalism"] = "Herbalism Trainer";
	AMCL["Firodren M"] = "Firodren Mooncaller <Herbalism Trainer>";
	AMCL["Chardryn"] = "Chardryn <Herbalism Supplies>";

	AMCL["Greywhisker"] = "Chief Archaeologist Greywhisker <Explorers' League>";
	AMCL["Greywhisker &"] = "";

	AMCL["Alaindia"] = "Alaindia <Reagents Vendor>";
	AMCL["Alaindia&"] = "           (Travels between four spots and ";
	AMCL["Alaindia&1"] = "          stops for about five minutes at each spot)";

  --Cyan
	AMCL["Temple Moon"] = "The Temple of the Moon";

	AMCL["Main Floor"] = "Main Floor";
	AMCL["Jandria"] = "Jandria <Priest Trainer>";
	AMCL["Lariia"] = "Lariia <Priest Trainer>";
	AMCL["Elissa D"] = "Elissa Dumas <Portal Trainer>";
	AMCL["Dalia S"] = "Sentinel Dalia Sunblade";

	AMCL["Balconey"] = "Balconey";
	AMCL["P A'moora"] = "Priestess A'moora";

	AMCL["Gracina S"] = "Gracina Spiritmight";

	AMCL["AstariiS"] = "Astarii Starseeker <Priest Trainer>";
	AMCL["PAlathea"] = "Priestess Alathea <Priest Trainer>";
	AMCL["TyrandeW"] = "Tyrande Whisperwind <High Priestess of Elune>";
	AMCL["Valustraa"] = "Emissary Valustraa";


  --NPC Exodar
  --White
	AMCL["Outside"] = "Outside the Front Entrance";
	AMCL["Entrance Ex"] = "Entrance or Exit to the City";

	AMCL["Stephanos"] = "Stephanos <Hippogryph Master>";

	AMCL["Torallius"] = "Torallius the Pack Handler <Elekk Breeder>";
	AMCL["Aalun"] = "Aalun <Riding Trainer>";

  --Gren
	AMCL["Seat of the Naaru"] = "Seat of the Naaru";

	AMCL["Caregiver B"] = "Caregiver Breel <Innkeeper>";
	AMCL["Arthaid"] = "Arthaid <Stable Master>";
	AMCL["Miglik B"] = "Miglik Blotstrom <Arena Battlemaster>";

	AMCL["O Khaluun"] = "Officer Khaluun <Exodar Commendations>";

	AMCL["Mumman"] = "Mumman <Cook>";
	AMCL["Phea"] = "Phea <Cooking Supplies>";
	AMCL["CookP"] = "Cookpot";

	AMCL["Onnis"] = "Onnis <General Goods Vendor>";
	AMCL["Cuzi"] = "Cuzi <Bag Vendor>";

	AMCL["Bran'daan"] = "Herald Bran'daan";

	AMCL["Nurguni"] = "Nurguni <Tradesman>";

	AMCL["O'ros"] = "O'ros (Down the Ramp)";

  --Red
	AMCL["Traders Tier"] = "Traders' Tier";

	AMCL["Tailoring"] = "Tailoring";
	AMCL["Refik"] = "Refik <Tailoring Trainer>";
	AMCL["Neii"] = "Neii <Tailoring Supplies>";
	AMCL["Dugiru"] = "Dugiru <Alliance Cloth Quartermaster>";

	AMCL["Leatherworking and Skinning"] = "Leatherworking and Skinning";
	AMCL["Remere"] = "Remere <Skinning Trainer>";
	AMCL["Akham"] = "Akham <Leatherworking Trainer>";
	AMCL["Haferet"] = "Haferet <Leatherworking Supplies>";

	AMCL["Plate Armor & Shields"] = "Plate Armor & Shields";
	AMCL["Gotaan"] = "Gotaan <Plate Armor Merchant>";
	AMCL["Treall"] = "Treall <Shield Merchant>";

	AMCL["Bladed Weapons"] = "Bladed Weapons";
	AMCL["Ven"] = "Ven <Blade Vendor>";

	AMCL["Blunt Weapons"] = "Blunt Weapons";
	AMCL["Ellomin"] = "Ellomin <Blunt Weapon Merchant>";

	AMCL["Leather & Cloth Armor"] = "Leather & Cloth Armor (up stairs)";
	AMCL["Mahri"] = "Mahri <Leather Armor Merchant>";
	AMCL["Gornii"] = "Gornii <Cloth Armor Merchant>";

	AMCL["Mail Armor"] = "Mail Armor (up stairs)";
	AMCL["Yil"] = "Yil <Mail Armor Merchant>";

	AMCL["Mining and Smithing"] = "Mining and Smithing";
	AMCL["Muaat"] = "Muaat <Mining Trainer>";
	AMCL["Merran"] = "Merran <Mining Supplies>";
	AMCL["Miall"] = "Miall <Blacksmithing Trainer>";
	AMCL["Arras"] = "Arras <Blacksmithing Supplies>";

	AMCL["Engineering"] = "Engineering";
	AMCL["Ockil"] = "Ockil <Engineering Trainer>";
	AMCL["Feera"] = "Feera <Engineering Supplies>";

	AMCL["Hunters' Sanctum"] = "Hunters' Sanctum";
	AMCL["Deremiis"] = "Deremiis <Hunter Trainer>";
	AMCL["Vord"] = "Vord <Hunter Trainer>";
	AMCL["Killac"] = "Killac <Hunter Trainer>";
	AMCL["Ganaar"] = "Ganaar <Pet Trainer>";
	AMCL["Avelii"] = "Avelii <Bowyer>";
	AMCL["Muhaa"] = "Muhaa <Gunsmith>";

	AMCL["Ring of Arms"] = "Ring of Arms";
	AMCL["Fingin"] = "Fingin <Poison Supplies>";
	AMCL["Ahonan"] = "Ahonan <Warrior Trainer>";
	AMCL["Kazi"] = "Kazi <Warrior Trainer>";
	AMCL["Behomat"] = "Behomat <Warrior Trainer>";
	AMCL["Handiir"] = "Handiir <Weapon Master>";

	AMCL["Guild Master and Tabards"] = "Guild Master and Tabards";
	AMCL["Funaam"] = "Funaam <Guild Master>";
	AMCL["Issca"] = "Issca <Tabard Vendor>";

  --Purp
	AMCL["The Vault of Lights"] = "The Vault of Lights";

	AMCL["Hall of the Mystics"] = "Hall of the Mystics";
	AMCL["Bati"] = "Bati <Mage Trainer>";
	AMCL["Harnan"] = "Harnan <Mage Trainer>";
	AMCL["Edirah"] = "Edirah <Mage Trainer>";
	AMCL["Lunaraa"] = "Lunaraa <Portal Trainer>";
	AMCL["Oss"] = "Oss <Wand Vendor>";
	AMCL["Musal"] = "Musal <Alchemy Supplies & Reagents>";

	AMCL["Vindicators' Sanctum"] = "Vindicators' Sanctum";
	AMCL["Kavaan"] = "Kavaan <Paladin Trainer>";
	AMCL["Jol"] = "Jol <Paladin Trainer>";
	AMCL["Baatun"] = "Baatun <Paladin Trainer>";

	AMCL["Alchemy and Herbalism"] = "Alchemy and Herbalism";
	AMCL["Lucc"] = "Lucc <Alchemy Trainer>";
	AMCL["Altaa"] = "Altaa <Alchemy Supplies>";
	AMCL["Cemmorhan"] = "Cemmorhan <Herbalism Trainer>";

	AMCL["Tolo"] = "Tolo <Arathi Basin Battlemaster>";

	AMCL["Mahul"] = "Mahul <Alterac Valley Battlemaster>";
	AMCL["Mitia"] = "Mitia <Eye of the Storm Battlemaster>";

	AMCL["Jihi"] = "Jihi <Warsong Gulch Battlemaster>";
	AMCL["Buhurda"] = "Buhurda <Strand of the Ancients Battlemaster>";

	AMCL["Prophet Velen"] = "Prophet Velen";

	AMCL["Anchorites' Sanctum"] = "Anchorites' Sanctum";
	AMCL["Izmir"] = "Izmir <Priest Trainer>";
	AMCL["Fallat"] = "Fallat <Priest Trainer>";
	AMCL["Caedmos"] = "Caedmos <Priest Trainer>";

  --White
	AMCL["The Crystal Hall"] = "The Crystal Hall";

  --AMCL["Enchanting"] = "Enchanting"; -- Duplicated
	AMCL["Nahogg"] = "Nahogg <Echanting Trainer>";
	AMCL["Egomis"] = "Egomis <Echanting Supplies>";
	AMCL["Thoth"] = "Thoth <Inscription Trainer>";
	AMCL["Sessoh"] = "Sessoh <Inscription Supplies>";

	AMCL["Sixx"] = "Sixx <Moth Vendor (Main Floor)>";

	AMCL["Gurrag"] = "Gurrag <Shaman Trainer>";

	AMCL["F Nobundo"] = "Farseer Nobundo <Shaman Trainer>";
	AMCL["F Dunaer"] = "Foreman Dunaer";
	AMCL["Valon"] = "Valon";

	AMCL["Sulaa"] = "Sulaa <Shaman Trainer>";

  --AMCL["Fishing"] = "Fishing";
	AMCL["Erett"] = "Erett <Fishing Trainer>";
	AMCL["Dekin"] = "Dekin <Fishing Supplies>";

	AMCL["Hobahken"] = "Hobahken <Shaman Trainer>";

	AMCL["Reagents"] = "Reagents";
	AMCL["Bildine"] = "Bildine <Reagent Vendor>";

  --AMCL["First Aid"] = "First Aid";
	AMCL["Nus"] = "Nus <First Aid Trainer>";

	AMCL["Jewelcrafting"] = "Jewelcrafting";
	AMCL["Farii"] = "Farii <Jewelcrafting Trainer>";
	AMCL["Arred"] = "Arred <Jewelcrafting Supplier>";
	AMCL["Padaar"] = "Padaar <Apprentice Jewelcrafter>";

	AMCL["Seer Skaltesh"] = "Seer Skaltesh";

  --NPC Ironforge
  --White
	AMCL["The Common"] = "The Commons";

	AMCL["Barim"] = "Barim's Reagents";
	AMCL["Barim J"] = "Barim Jurgenstaad <Reagent Vendor>";

	AMCL["Stonefire Tavern"] = "The Stonefire Tavern";
	AMCL["Innkeeper Firebrew"] = "Innkeeper Firebrew";
	AMCL["Gwenna F"] = "Gwenna Firebrew <Barmaid>";
	AMCL["Larkin T"] = "Larkin Thunderbrew <Brew of the Month Club>";
	AMCL["Brew Vendor"] = "Brew Vendor <Brew of the Month Club>";
	AMCL["Sheldonore"] = "Artilleryman Sheldonore";

	AMCL["Pella B"] = "Pella Brassbrush <Barber>";

	AMCL["Ironforge Armory"] = "Ironforge Armory";
	AMCL["Mangorn F"] = "Mangorn Flinthammer <Heavy Armor Merchant>";
	AMCL["Raena F"] = "Raena Flinthammer <Light Armor Merchant>";
	AMCL["Bromiir O"] = "Bromiir Ormsen <Heavy Armor Merchant>";

	AMCL["Dinita S"] = "Dinita Stonemantle <Vault Administrator>";
	AMCL["Lieutenant Rot"] = "Lieutenant Rotimer <Stormpike Guard Recruitment Officer>";
	AMCL["Lieutenant Rot &"] = "          (In front of the Bank)";

	AMCL["Steelfury's Weapon Emporium"] = "Steelfury's Weapon Emporium";
	AMCL["Dolman S"] = "Dolman Steelfury <Weapon Merchant>";
	AMCL["Grenil S"] = "Grenil Steelfury <Weapon Merchant>";

	AMCL["Fizzlespinner"] = "Fizzlespinner's General Goods";
	AMCL["Fillius F"] = "Fillius Fizzlespinner <Trade Supplies>";
	AMCL["Bryllia I"] = "Bryllia Ironbrand <General Goods Vendor>";

	AMCL["Marblesten"] = "Grand Mason Marblesten. Royal Stonecutters";
	AMCL["Marblesten&"] = "          Union";

	AMCL["Ironforge V C"] = "Ironforge Visitor Center";
	AMCL["Jondor S"] = "Jondor Steelbrow <Guild Master>";
	AMCL["Lyesa S"] = "Lyesa Steelbrow <Guild Tabard Vendor>";

	AMCL["Myra T"] = "Myra Tyrngaarde <Bread Vendor>";
	AMCL["Myra T &"] = "           (Circles in front of the Bank and Auction House)";

  --Gren
	AMCL["Mystic Ward"] = "The Mystic Ward";

	AMCL["Fighting Wizard"] = "The Fighting Wizard";
	AMCL["Bingus"] = "Bingus <Weapon Merchant>";
	AMCL["Harick B"] = "Harick Boulderdrum <Wands Merchant>";

	AMCL["Hall of Mysteries"] = "Hall of Mysteries";
	AMCL["Toldren D"] = "Toldren Deepiron <Priest Trainer>";
	AMCL["Braenna F"] = "Braenna Flintcrag <Priest Trainer>";
	AMCL["High Priest Rohan"] = "High Priest Rohan <Priest Trainer>";
	AMCL["Theodrus F"] = "Theodrus Frostbeard <Priest Trainer>";
	AMCL["Bink"] = "Bink <Mage Trainer>";
	AMCL["Dink"] = "Dink <Mage Trainer>";
	AMCL["Juli S"] = "Juli Stormkettle <Mage Trainer>";
	AMCL["Milstaff S"] = "Milstaff Stormeye <Portal Trainer>";
	AMCL["Brandur I"] = "Brandur Ironhammer <Paladin Trainer>";
	AMCL["Beldruk D"] = "Beldruk Doombrow <Paladin Trainer>";
	AMCL["Muiredon B"] = "Muiredon Battleforge";
	AMCL["Valgar H"] = "Valgar Highforge <Paladin Trainer>";
	AMCL["Nittlebur S"] = "Nittlebur Sparkfizzle <Mage Trainer>";
	AMCL["Tiza B"] = "Tiza Battleforge";

	AMCL["Mage Tymor"] = "Mage Tymor";

	AMCL["Talvash Kissel"] = "Talvash del Kissel";

	AMCL["Maeva's"] = "Maeva's Mystical Apparel";
	AMCL["Maeva"] = "Maeva Snowbraid <Robe Merchant>";
	AMCL["Ingrys S"] = "Ingrys Stonebrow <Cloth Armor Merchant>";

	AMCL["Longberry's"] = "Longberry's Reagents";
	AMCL["Ginny L"] = "Ginny Longberry <Reagent Vendor>";

	AMCL["Bimble L"] = "Bimble Longberry <Fruit Vendor>";
	AMCL["Bimble L&"] = "           (Circles around the fountain in the Mystic Ward)";

  --Blue
	AMCL["Forlorn Cavern"] = "The Forlorn Cavern";

	AMCL["Stoneblades"] = "Stoneblade's";
	AMCL["Hjoldir S"] = "Hjoldir Stoneblade <Blade Merchant>";
	AMCL["Binny"] = "Binny Springblade";
	AMCL["Prynne"] = "Prynne";

	AMCL["Traveling Fisherman"] = "Traveling Fisherman";
	AMCL["Grimnur S"] = "Grimnur Stonebrand <Fishing Trainer>";
	AMCL["Tansy P"] = "Tansy Puddlefizz <Fishing Supplies>";

	AMCL["Lago B"] = "Lago Blackwrench";

	AMCL["Thistleheart"] = "Thistleheart <Warlock Trainer>";
	AMCL["Briarthorn"] = "Briarthorn <Warlock Trainer>";
	AMCL["Alexander C"] = "Alexander Calder <Warlock Trainer>";
	AMCL["Gerrig B"] = "Gerrig Bonegrip";

	AMCL["Tynnus V"] = "Tynnus Venomsprout <Shady Dealer>";
	AMCL["Fenthwick"] = "Fenthwick <Rogue Trainer>";
	AMCL["Ormyr F"] = "Ormyr Flinteye <Rogue Trainer>";
	AMCL["Hulfdan B"] = "Hulfdan Blackbeard <Rogue Trainer>";
	AMCL["Durtham G"] = "Durtham Greldon";

	AMCL["Ransin D"] = "Ransin Donner";
	AMCL["Murky"] = "Murky";

  --Purp
	AMCL["Hall of Explorers"] = "Hall of Explorers";

	AMCL["Roetten S"] = "Roetten Stonehammer <Reclaimers Inc.>";
	AMCL["Magellas"] = "High Explorer Magellas <Explorers' League>";

	AMCL["The Library"] = "The Library";
	AMCL["Thorius"] = "Curator Thorius";

	AMCL["Lyon M"] = "Lyon Mountainheart";

	AMCL["Laris G"] = "Laris Geardawdle";

	AMCL["Krom S"] = "Krom Stoutarm";
	AMCL["Prospector S"] = "Prospector Stormpike";
	AMCL["Mae P"] = "Librarian Mae Paledust <Explorers' League>";
	AMCL["Advisor B"] = "Advisor Belgrum";
	AMCL["Historian K"] = "Historian Karnik";

  --Cyan
	AMCL["Tinker Town"] = "Tinker Town";

	AMCL["Bubulo"] = "Bubulo <Alliance Cloth Quartermaster>";

	AMCL["Boom!"] = "Things that go Boom!";
	AMCL["Lomac"] = "Lomac Gearstrip";
	AMCL["Fizzlebang"] = "Fizzlebang Booms <Fireworks Vendor>";

	AMCL["Berryfizz's"] = "Berryfizz's Potions and Mixed Drinks";
	AMCL["Tally B"] = "Tally Berryfizz <Alchemy Trainer>";
	AMCL["Soolie B"] = "Soolie Berryfizz <Alchemy Supplies>";

	AMCL["Overspark"] = "Tinkmaster Overspark <Gnome Engineering Trainer>";
	AMCL["Overspark&"] = "";
	AMCL["Gnoarn"] = "Gnoarn";

	AMCL["Mekkatorque"] = "High Tinker Mekkatorque <King of the Gnomes>";

	AMCL["Castpipe"] = "Master Mechanic Castpipe";
	AMCL["Klockmort"] = "Klockmort Spannerspan";
	AMCL["Porterhouse"] = "Officer Porterhouse <Gnomeregan Commendations>";
	AMCL["Porterhouse&"] = "";

	AMCL["Springspindle's"] = "Springspindle's Gadgets";
	AMCL["Fizzlegear"] = "Springspindle Fizzlegear <Engineering Trainer>";
	AMCL["Cogspinner"] = "Gearcutter Cogspinner <Engineering Supplies>";

	AMCL["Deeprun Tram"] = "Deeprun Tram";
	AMCL["Monty"] = "Monty <Rat Extermination Specialist>";
	AMCL["Haggle"] = "Haggle";

  --Orng
	AMCL["The Military Ward"] = "The Military Ward";

	AMCL["Goldfury's"] = "Goldfury's Hunting Supplies";
	AMCL["BrettaG"] = "Bretta Goldfury <Gun Merchant>";
	AMCL["SkolminG"] = "Skolmin Goldfury <Bow Merchant>";

	AMCL["Bruuk's Corner"] = "Bruuk's Corner";
	AMCL["BruukB"] = "Bruuk Barleybeard <Bartender>";
	AMCL["TisaM"] = "Tisa Martine";
	AMCL["EdrisB"] = "Edris Barleybeard <Barmaid>";

	AMCL["SognarC"] = "Sognar Cliffbeard <Meat Vendor>";
	AMCL["SognarC&"] = "           (Does a cirlce in the Military Ward)";

	AMCL["Hall of Arms"] = "Hall of Arms";
	AMCL["RegnusT"] = "Regnus Thundergranite <Hunter Trainer>";
	AMCL["OlminB"] = "Olmin Burningbeard <Hunter Trainer>";
	AMCL["UlbrekF"] = "Ulbrek Firehand <Stable Master>";
	AMCL["BeliaT"] = "Belia Thundergranite <Pet Trainer>";
	AMCL["DemnulF"] = "Demnul Farmountain";
	AMCL["DaeraB"] = "Daera Brightspear <Hunter Trainer>";
	AMCL["KelvS"] = "Kelv Sternhammer <Warrior Trainer>";
	AMCL["MaxX"] = "Max Xim <Arena Battlemaster>";
	AMCL["DonalO"] = "Donal Osgood <Arathi Basin Battlemaster>";
	AMCL["Lylandris"] = "Lylandris <Warsong Gultch Battlemaster>";
	AMCL["MargaB"] = "Marga Bearbrawn <Strand of the Ancients Battlemaster>";
	AMCL["MargaB&"] = "";
	AMCL["GlordrumS"] = "Glordrum Steelbeard <Alterac Valley Battlemaster>";
	AMCL["Kandaar"] = "Kandaar <Eye of the Storm Battlemaster>";
	AMCL["MurenS"] = "Muren Stormpike";
	AMCL["KelstrumS"] = "Kelstrum Stonebreaker <Warrior Trainer>";
	AMCL["BilbanT"] = "Bilban Tosslespanner <Warrior Trainer>";
	AMCL["GilbartaG"] = "Gilbarta Grandhammer <Battleground Enthusiast>";
	AMCL["PLongbeard"] = "Pilot Longbeard <Ironforge Siege Brigade>";
	AMCL["XiggsF"] = "Xiggs Fuselighter";

	AMCL["Timberline Arms"] = "Timberline Arms";
	AMCL["BuliwyfS"] = "Buliwyf Stonehand <Weapon Master>";
	AMCL["BixiW"] = "Bixi Wobblebonk <Weapon Master>";
	AMCL["KelomirI"] = "Kelomir Ironhand <Maces & Staves>";
	AMCL["ThalgusT"] = "Thalgus Thunderfist <Weapon Merchant>";
	AMCL["HegnarS"] = "Hegnar Swiftaxe <Axe Merchant>";
	AMCL["BrenwynW"] = "Brenwyn Wintersteel <Blade Merchant>";

	AMCL["Craghelm's"] = "Craghelm's Plate and Chain";
	AMCL["LissyphusF"] = "Lissyphus Finespindle <Light Armor Merchant>";
	AMCL["DolkinC"] = "Dolkin Craghelm <Mail Armor Merchant>";
	AMCL["OlthranC"] = "Olthran Craghelm <Heavy Armor Merchant>";

	AMCL["SaraB"] = "Sara Balloo";

  --Yell
	AMCL["The Great Forge"] = "The Great Forge";

	AMCL["Ironforge Physician"] = "Ironforge Physician";
	AMCL["ReynaS"] = "Reyna Stonebranch <Herbalism Trainer>";
	AMCL["GwinaS"] = "Gwina Stonebranch <Herbalism Supplies>";
	AMCL["NissaF"] = "Nissa Firestone <First Aid Trainer>";

	AMCL["GrythT"] = "Gryth Thurden <Gryphon Master>";

	AMCL["Thistlefuzz Arcanery"] = "Thistlefuzz Arcanery";
	AMCL["EJademoon"] = "Cenarion Emissary Jademoon";
	AMCL["GimbleT"] = "Gimble Thistlefuzz <Enchanting Trainer>";
	AMCL["TilliT"] = "Tilli Thistlefuzz <Enchanting Supplies>";
	AMCL["EliseB"] = "Elise Brightletter <Inscription Trainer>";
	AMCL["ThargenH"] = "Thargen Heavyquill <Inscription Supplies>";

	AMCL["Bronze Kettle"] = "The Bronze Kettle";
	AMCL["DarylR"] = "Daryl Riknussun <Cooking Trainer>";
	AMCL["EmrulR"] = "Emrul Riknussun <Cooking Supplies>";
	AMCL["DBcook"] = "(Cooking can be done at any Dwarven Brazier";
	AMCL["DBcook&"] = "           in the city)";

	AMCL["FJavad"] = "Farseer Javad <Shaman Trainer>";

	AMCL["DMMG"] = "Deep Mountain Mining Guild";
	AMCL["GeoframB"] = "Geofram Bouldertoe <Mining Trainer>";
	AMCL["GolnirB"] = "Golnir Bouldertoe <Mining Supplies>";

	AMCL["Burbik's"] = "Burbik's Supplies";
	AMCL["BurbikG"] = "Burbik Gearspanner <Trade Supplies>";

	AMCL["Stonebrow's"] = "Stonebrow's Clothier";
	AMCL["JormundS"] = "Jormund Stonebrow <Tailoring Trainer>";
	AMCL["PorannaS"] = "Poranna Snowbraid <Tailoring Supplies>";
	AMCL["OEric"] = "Outfitter Eric <Speciality Tailoring Supplies>";
	AMCL["MistinaS"] = "Mistina Steelshield <Alliance Cloth Quartermaster>";
	AMCL["MistinaS&"] = "          (Dwarf)";

	AMCL["Finespindle's"] = "Finespindle's Leather Goods";
	AMCL["FimbleF"] = "Fimble Finespindle <Leatherworking Trainer>";
	AMCL["BombusF"] = "Bombus Finespindle <Leatherworking Supplies>";
	AMCL["BalthusS"] = "Balthus Stoneflayer <Skinning Trainer>";

	AMCL["OIronbeard"] = "Officer Ironbeard <Ironforge Commendations>";

	AMCL["Sraaz"] = "Sraaz <Pie Vendor>";
	AMCL["Sraaz&"] = "           (Does a circle around the Great Forge)";

	AMCL["High Seat"] = "The High Seat";
	AMCL["KingMagni"] = "King Magni Bronzebeard <Lord of Ironforge>";
	AMCL["SBarinR"] = "Senator Barin Redstone";
	AMCL["RHArchesonus"] = "Royal Historian Archesonus";
	AMCL["Deliana"] = "Deliana";

	AMCL["Great Forge"] = "The Great Forge";
	AMCL["GrumnusS"] = "Grumnus Steelshaper <Armorsmith Trainer>";
	AMCL["IronusC"] = "Ironus Coldsteel <Weaponsmith Trainer>";
	AMCL["ThurgrumD"] = "Thurgrum Deepforge <Blacksmithing Supplies>";
	AMCL["BengusD"] = "Bengus Deepforge <Blacksmithing Trainer>";
	AMCL["MyolorS"] = "Myolor Sunderfury";
	AMCL["BrombarH"] = "Brombar Higgleby <The Keymaster>";
	AMCL["TormusD"] = "Tormus Deepforge";
  
  --NPC Orgrimmar
  --White
	AMCL["Valley Strength"] = "The Valley of Strength";
  
	AMCL["FARokhs"] = "Frostwolf Ambassador Rokhstrom";

	AMCL["Gryshka"] = "Innkeeper Gryshka";
	AMCL["Morag"] = "Barkeep Morag";
	AMCL["Kozish"] = "Kozish";
	AMCL["Sarok"] = "Sarok";
	AMCL["Doyo'da"] = "Doyo'da";
	AMCL["Zaro"] = "Zaro";
	AMCL["Goma"] = "Goma";
	AMCL["Gamon"] = "Gamon";

	AMCL["SLSA"] = "Soran's Leather & Steel Armory";
	AMCL["Sana"] = "Sana <Mail Armor Merchant>";
	AMCL["Morgum"] = "Morgum <Leather Armor Merchant>";
	AMCL["Ollanus"] = "Ollanus <Light Armor Merchant>";

	AMCL["BImports"] = "Boomstick Imports";
	AMCL["Kaja"] = "Kaja <Guns & Ammunition Vendor>";

	AMCL["SReagents"] = "Spiritfury Reagents";
	AMCL["Horthus"] = "Horthus <Reagents Vendor>";

	AMCL["Horde Embassy"] = "Horde Embassy";
	AMCL["Urtrun"] = "Urtrun Clanbringer <Guildmaster>";
	AMCL["Garyl"] = "Garyl <Tabard Vendor>";

	AMCL["GenStore"] = "Orgrimmar General Store";
	AMCL["Trak'gen"] = "Trak'gen <General Goods Vendor>";
	AMCL["Shimra"] = "Shimra <Trade Supplies>";

	AMCL["ShattAxe"] = "The Shattered Axe";
	AMCL["Urtharo"] = "Urtharo <Weapon Merchant>";

	AMCL["Chophouse"] = "The Chophouse";
	AMCL["Olvia"] = "Olvia <Meat Vendor>";
	AMCL["OrcCook"] = "Orc Cooker (Cooking can be done at a Mighty";
	AMCL["OrcCook&"] = "          Blaze as well)";

	AMCL["SlopeVS"] = "Slope up to Valley of Spirits";

	AMCL["Zankaja"] = "Zankaja";
	AMCL["MBlaze"] = "Mighty Blaze";

	AMCL["Skytower"] = "The Skytower";
	AMCL["Doras"] = "Doras <Wind Rider Master>";
	AMCL["CEhoof"] = "Cenarion Emissary Blackhoof";

	AMCL["HallLegends"] = "Hall of Legends";
	AMCL["SGZarg"] = "Stone Guard Zarg <Weapons Quartermaster>";
	AMCL["DorisV"] = "Doris Volanthius <Veteran Armor Quartermaster>";
	AMCL["BraveSton"] = "Brave Stonehide <Officer Accessories Quartermaster>";
	AMCL["BraveSton&"] = "";
	AMCL["Zar'shi"] = "Blood Guard Zar'shi <Armor Quartermaster>";
	AMCL["LadyPal"] = "Lady Palanseer <Jewelcrafting Quartermaster>";
	AMCL["SergThunder"] = "Sergeant Thunderhorn <Apprentice Armor Quartermaster>";
	AMCL["SergThunder&"] = "";
	AMCL["Bork"] = "Raider Bork <Mount Quartermaster>";
	AMCL["Hola'mahi"] = "First Sergeant Hola'mahi <Armor Quartermaster>";
	AMCL["Earthbind"] = "Chieftain Earthbind";
	AMCL["Willington"] = "Advisor Willington";
	AMCL["Teena"] = "Legionnaire Teena <Armor Quartermaster>";
	AMCL["CArial"] = "Councilor Arial";
	AMCL["D'Anastasis"] = "D'Anastasis";
	AMCL["Hini'wana"] = "Blood Guard Hini'wana";
	AMCL["Bek'rah"] = "Grunt Bek'rah";
	AMCL["Korf"] = "Grunt Korf";

	AMCL["SkyStaves"] = "Skyfury Staves";
	AMCL["Ukra'nor"] = "Ukra'nor <Staff Merchant>";

	AMCL["Keldran"] = "Keldran";

	AMCL["Xan'tish"] = "Xan'tish <Snake Vendor>";
	AMCL["Xan'tish&"] = "           (Travels between west entrance to the city and Valley of Spirits)";

	AMCL["Krixx"] = "Krixx <Zepplin Engineer>";
	AMCL["Krixx&"] = "            (Travels between the bonfire near the south city entrance and";
	AMCL["Krixx&1"] = "           Nogg's Machine Shop in The Valley of";
	AMCL["Krixx&2"] = "           Honor)";


  --Purp
	AMCL["ValleySpirits"] = "The Valley of Spirits";

	AMCL["DarkbriarL"] = "Darkbriar Lodge";
	AMCL["Uthel'nay"] = "Uthel'nay <Mage Trainer>";
	AMCL["Enyo"] = "Enyo <Mage Trainer>";
	AMCL["Deino"] = "Deino <Mage Trainer>";
	AMCL["Pephredo"] = "Pephredo <Mage Trainer>";
	AMCL["Thuul"] = "Thuul <Portal Trainer>";
	AMCL["Vehena"] = "Vehena <Horde Cloth Quartermaster>";
	AMCL["Ray'ma"] = "Ray'ma <Brew of the Month Club>";
	AMCL["Brew Vendor"] = "Brew Vendor <Brew of the Month Club>";

	AMCL["SpiLodge"] = "Spirit Lodge";
	AMCL["Ur'kyo"] = "Ur'kyo <Priest Trainer>";
	AMCL["X'yera"] = "X'yera <Priest Trainer>";
	AMCL["Zayus"] = "Zayus <High Priest>";

	AMCL["SurvivalF"] = "Survival of the Fittest";
	AMCL["Arnok"] = "Arnok <First Aid Trainer>";

  --Yell
	AMCL["Drag"] = "The Drag";

	AMCL["Borstan's"] = "Borstan's Firepit (upstairs)";
	AMCL["Borstan"] = "Borstan <Meat Vendor>";
	AMCL["Zamja"] = "Zamja <Cooking Trainer>";
	AMCL["Xen'to"] = "Xen'to <Cooking Supplies>";

	AMCL["Jo'mah"] = "Jo'mah <Inscription Trainer>";
	AMCL["Xantili"] = "Xantili <Inscription Supplies>";
	AMCL["Zilzibin"] = "Zilzibin Drumlore";
	AMCL["Sarlek"] = "Sarlek";
	AMCL["Tamaro"] = "Tamaro";

	AMCL["Arboretum"] = "Jandi's Arboretum (Upper level)";
	AMCL["Jandi"] = "Jandi <Herbalism Trainer>";
	AMCL["Zeal'aya"] = "Zeal'aya <Herbalism Supplies>";

	AMCL["Runeworks"] = "Godan's Runeworks";
	AMCL["Jhag"] = "Jhag <Enchanting Trainer>";
	AMCL["Kithas"] = "Kithas <Enchanting Supplies>";
	AMCL["Slope1"] = "Slope to get up or down a level";

	AMCL["Yelmak's"] = "Yelmak's Alchemy & Potions";
	AMCL["Yelmak"] = "Yelmak <Alchemy Trainer>";
	AMCL["Kor'geld"] = "Kor'geld <Alchemy Supplies>";
	AMCL["Jes'rimon"] = "Jes'rimon";

	AMCL["Salvage"] = "Droffers & Sons Salvage";
	AMCL["Dran"] = "Dran Droffers";
	AMCL["Malton"] = "Malton Droffers";

	AMCL["KLeatherworks"] = "Kodohide Leatherworks";
	AMCL["Karolek"] = "Karolek <Leatherworking Trainer>";
	AMCL["Tamar"] = "Tamar <Leatherworking Supplies>";
	AMCL["Thuwd"] = "Thuwd <Skinning Trainer>";
	AMCL["Handor"] = "Handor <Cloth & Leather Armor Merchant>";

	AMCL["ClothG"] = "Magar's Cloth Goods";
	AMCL["Magar"] = "Magar <Tailoring Trainer>";
	AMCL["Borya"] = "Borya <Tailoring Supplies>";
	AMCL["Tor'phan"] = "Tor'phan <Cloth & Leather Armor Merchant>";
	AMCL["Rashona"] = "Rashona Straglash <Horde Cloth Quartermaster>";
	AMCL["Rashona&"] = "          (Orc)";

	AMCL["Gotri's"] = "Gotri's Travelling Gear (Main level)";
	AMCL["Malton"] = "Gotri <Bag Vendor>";

	AMCL["Krixx2"] = "Krixx <Zepplin Engineer>";
	AMCL["Felika"] = "Felika <Trade Supplies>";
	AMCL["Felika&"] = "           (Travels the drag from the Valley of Wisdom entrance to the";
	AMCL["Felika&1"] = "          Valley of Strength entrance)";

  --Blue
	AMCL["ValleyHonor"] = "The Valley of Honor";

	AMCL["Kiro's"] = "Kiro's Harnesses";
	AMCL["Kiro"] = "Kiro <War Harness Maker>";

	AMCL["OBowyer"] = "Orgrimmar Bowyer";
	AMCL["Jin'sora"] = "Jin'sora <Bow Merchant>";

	AMCL["HallBrave"] = "Hall of the Brave";
	AMCL["Zel'mak"] = "Zel'mak <Warrior Trainer>";
	AMCL["Sorek"] = "Sorek <Warrior Trainer>";
	AMCL["Grezz"] = "Grezz Ragefist <Warrior Trainer>";
	AMCL["Andrissa"] = "Andrissa Heartspear <Eye of the Storm Battlemaster>";
	AMCL["Andrissa&"] = "";
	AMCL["Deze"] = "Deze Snowbane <Arathi Basin Battlemaster>";
	AMCL["Zeggon"] = "Zeggon Botsnap <Arena Battlemaster>";
	AMCL["Brakgul"] = "Brakgul Deathbringer <Warsong Gultch Battlemaster>";
	AMCL["Brakgul&"] = "";
	AMCL["Ufuda"] = "Ufuda Giant-Slayer <Strand of the Ancients Battlemaster>";
	AMCL["Ufuda&"] = "";
	AMCL["Kartra"] = "Kartra Bloodsnarl <Alterac Valley Battlemaster>";
	AMCL["Muja"] = "Muja <Battleground Enthusiast>";
	AMCL["HordeWar"] = "Horde Warbringer";
	AMCL["BelgR"] = "Belgrom Rockmaul";

	AMCL["Lumak's"] = "Lumak's Fishing";
	AMCL["Lumak"] = "Lumak <Fishing Trainer>";
	AMCL["Shankys"] = "Shankys <Fishing Supplies>";
	AMCL["Zas'tysh"] = "Zas'tysh";

	AMCL["RedMining"] = "Red Canyon Mining";
	AMCL["Makaru"] = "Makaru <Mining Trainer>";
	AMCL["Gorina"] = "Gorina <Mining Supplies>";

	AMCL["Orphanage"] = "Orphanage";

	AMCL["Nogg's"] = "Nogg's Machine Shop";
	AMCL["Nogg"] = "Nogg <Apprentice Engineer>";
	AMCL["Roxxik"] = "Roxxik <Engineering Trainer>";
	AMCL["Sovik"] = "Sovik <Engineering Supplies>";
	AMCL["Rilli"] = "Rilli Greasygob";

	AMCL["Shayis"] = "Shayis Steelfury <Armorsmith Trainer>";
	AMCL["Okothos"] = "Okothos Ironrager <Armorsmith>";
	AMCL["Borgosh"] = "Borgosh Corebender <Weaponsmith>";
	AMCL["OxMO"] = "Ox <The Mithril Order>";
	AMCL["Aturk"] = "Aturk the Anvil";
	AMCL["OrokkO"] = "Orokk Omosh";

	AMCL["BurnAnvil"] = "The Burning Anvil";
	AMCL["Saru"] = "Saru Steelfury <Blacksmithing Trainer>";
	AMCL["Sumi"] = "Sumi <Blacksmithing Supplies>";
	AMCL["Tumi"] = "Tumi <Heavy Armor Merchant>";

	AMCL["ArmsLegend"] = "Arms of Legend";
	AMCL["Kelgruk"] = "Kelgruk Bloodaxe <Weaponsmithing Trainer>";
	AMCL["Zendo'"] = "Zendo'jian <Weapon Vendor>";
	AMCL["Shoma"] = "Shoma <Weapon Vendor>";
	AMCL["Galthuk"] = "Galthuk <Two-handed Weapon Merchant>";
	AMCL["Sayoc"] = "Sayoc <Weapon Master>";
	AMCL["Hanashi"] = "Hanashi <Weapon Master>";
	AMCL["Koru"] = "Koru <Maces & Staves Vendor>";

	AMCL["RingValor"] = "Ring of Valor";
	AMCL["Molog"] = "War-Hunter Molog <Arena Battlemaster>";
	AMCL["Greela"] = "Greela 'The Grunt' Crankchain <Arena Organizer>";
	AMCL["Greela&"] = "";

	AMCL["Ogunaro"] = "Ogunaro Wolfrunner <Kennel Master>";
	AMCL["Kildar"] = "Kildar <Wolf Riding Instructor>";
	AMCL["Xon'cha"] = "Xon'cha <Stable Master>";

	AMCL["HuntHall"] = "Hunter's Hall";
	AMCL["Sian'dur"] = "Sian'dur <Hunter Trainer>";
	AMCL["Xor'juul"] = "Xor'juul <Hunter Trainer>";
	AMCL["Ormak"] = "Ormak Grimshot <Hunter Trainer>";

  --Gren
	AMCL["CleftShad"] = "The Cleft of Shadow";

	AMCL["DarkEncl"] = "Darkfire Enclave";
	AMCL["Mirket"] = "Mirket <Warlock Trainer>";
	AMCL["Zevrost"] = "Zevrost <Warlock Trainer>";
	AMCL["Grol'dar"] = "Grol'dar <Warlock Trainer>";
	AMCL["Gan'rul"] = "Gan'rul Bloodeye";

	AMCL["ShadReag"] = "Shadowdeep Reagents";
	AMCL["Hagrus"] = "Hagrus <Reagent Vendor>";
	AMCL["Cazul"] = "Cazul";

	AMCL["ISW"] = "Ironwood Staves & Wands";
	AMCL["Muragus"] = "Muragus <Staff Merchant>";
	AMCL["Katis"] = "Katis <Wand Merchant>";

	AMCL["Neeru"] = "Neeru Fireblade";

	AMCL["RCI"] = "Ragefire Chasm Instance";

	AMCL["DEFM"] = "Dark Earth Fungus and Mushrooms";
	AMCL["Kor'jus"] = "Kor'jus <Mushroom Vendor>";

	AMCL["Barbershop"] = "Barbershop";
	AMCL["Berbri"] = "Berbri Coifcurl <Barber>";

	AMCL["SlowBlade"] = "The Slow Blade";
	AMCL["Kareth"] = "Kareth <Blade Merchant>";

	AMCL["ShadowBroth"] = "Shadowswift Brotherhood";
	AMCL["Gest"] = "Gest <Rogue Trainer>";
	AMCL["Ormok"] = "Ormok <Rogue Trainer>";
	AMCL["Shenthul"] = "Shenthul <Rogue Trainer>";
	AMCL["Zando'zan"] = "Zando'zan";
	AMCL["Therzok"] = "Therzok";

	AMCL["Rekkul's"] = "Rekkul's Poisons";
	AMCL["Rekkul"] = "Rekkul <Poison Vendor>";
	AMCL["Kor'ghan"] = "Kor'ghan";
  
	AMCL["Drok"] = "Craven Drok (Travels around in the ";
	AMCL["Drok&"] = "                  Cleft of Shadow)";

  --Cyan
	AMCL["ValleyWisdom"] = "The Valley of Wisdom";

	AMCL["STVIF"] = "Stranglethorn Imported Fruits";
	AMCL["Shan'ti"] = "Shan'ti <Fruit Vendor>";

	AMCL["ORedblade"] = "Officer Redblade <Orgrimmar Commendations>";

	AMCL["GromHold"] = "Grommash Hold";
	AMCL["Sian'tsu"] = "Sian'tsu <Shaman Trainer>";
	AMCL["Kardris"] = "Kardris Dreamseeker <Shaman Trainer>";
	AMCL["Sagorne"] = "Sagorne Creststrider <Shaman Trainer>";
	AMCL["Zor"] = "Zor Lonetree <Elder Far Seer>";
	AMCL["Searn"] = "Searn Firewarder";
	AMCL["Eitrigg"] = "Eitrigg";
	AMCL["Vol'jin"] = "Vol'jin";
	AMCL["Mokvar"] = "Mokvar";
	AMCL["Pyreanor"] = "Master Pyreanor <Paladin Trainer>";
	AMCL["Dawnsinger"] = "Ambassador Dawnsinger";
	AMCL["Thrall"] = "Thrall <Warchief>";

	AMCL["Asoran's"] = "Asoran's Market";
	AMCL["Asoran"] = "Asoran <General Goods Vendor>";
	AMCL["Magenius"] = "Magenius <Reagents Vendor>";

	AMCL["Vu'Shalay"] = "Officer Vu'Shalay <Darkspear Commendations>";

  --NPC Shattrath
  --White
	AMCL["TerLight"] = "Terrace of Light";

	AMCL["ABank"] = "Bank (Aldor Aligned)";
	AMCL["Endarin"] = "Quartermaster Endarin <Aldor Quartermaster>";
	AMCL["ISaalyn"] = "Inscriber Saalyn <Aldor Inscriptions>";
	AMCL["HaldorC"] = "Haldor the Compulsive <Aldor Apothecary>";

	AMCL["SBank_Scryer"] = "Bank (Scryer Aligned)";
	AMCL["Enuril"] = "Quartermaster Enuril <Scryer Quartermaster>";
	AMCL["IVeredis"] = "Inscriber Veredis <Scryer Inscriptions>";
	AMCL["Xorith"] = "Arcanist Xorith <Scryer Apothecary>";

	AMCL["LeagArat"] = "League of Arathor Emissary (Arathi Basin)";
	AMCL["Defil"] = "Defilers Emissary (Arathi Basin)";

	AMCL["A'dal"] = "A'dal";
	AMCL["Khadgar"] = "Khadgar";
	AMCL["Almonen"] = "Grand Anchorite Almonen";
	AMCL["Tiras'alan"] = "General Tiras'alan";

	AMCL["G'eras"] = "G'eras (Heroic Mode Instance reward vendor ,";
	AMCL["G'eras&"] = "          Upper level)";
	AMCL["Almaador"] = "Almaador <Sha'tari Quartermaster>";
	AMCL["Nasuun"] = "Exarch Nasuun";
	AMCL["Ontuvo"] = "Ontuvo <Jewelcrafting Supplies>";
	AMCL["Ontuvo&"] = "           (Shattered Sun Offensive)";
	AMCL["PorQuel"] = "Portal to Quel'Danas";
	AMCL["Anwehu"] = "Anwehu <Weapons and Armorsmith>";
	AMCL["Anwehu&"] = "           (Heroic Mode Instance reward vendor)";
	AMCL["Mehlisah"] = "Spymistress Mehlisah Highcrown";

	AMCL["Iorioa"] = "Iorioa <Portal Trainer>";
	AMCL["V'eru"] = "V'eru (Upper level)";

	AMCL["WarVet"] = "Haggard War Veteran";
	AMCL["HordeWar"] = "Horde Warbringer";

	AMCL["Mordin"] = "Emissary Mordin <Shattered Sun Offensive>";
	AMCL["Torvos"] = "Lord Torvos <Shattered Sun Offensive>";

	AMCL["Nutral"] = "Nutral <Flight Master>";
	AMCL["Yuula"] = "Yuula <Sha'tari Guard Recruitment Officer>";

	AMCL["Haronem"] = "Harbinger Haronem <Shattered Sun Offensive>";
	AMCL["Wafflefry"] = "Whirligig Wafflefry <Gnomish Inventor>";

	AMCL["LiftScry"] = "Lift to Scryer's Tier";

	AMCL["LiftAR"] = "Lift to Aldor Rise";
  
	AMCL["Ezekiel"] = "Ezekiel (Travels clock-wise around The Terrace";
	AMCL["Ezekiel&"] = "         of Light)";

  --Yell
	AMCL["LowCity"] = "Lower City";

	AMCL["DLarry"] = "'Dirty' Larry <Ruffian>";
	AMCL["EMalone"] = "'Epic' Malone <Ruffian>";
	AMCL["Creepjack"] = "'Creepjack' <Ruffian>";

	AMCL["AldBank"] = "Lower entrance to Aldor Bank";

	AMCL["Araac"] = "Araac";

	AMCL["Karokka"] = "Karokka <Poison Supplies>";
	AMCL["Skreah"] = "Skreah <Alchemy Supplies>";
	AMCL["Lorokeem"] = "Lorokeem <Master Alchemy Trainer>";
	AMCL["Vekax"] = "Vekax (Travels back and forth across bridge)";

	AMCL["Lissaf"] = "Lissaf <Blade Merchant>";

	AMCL["RampL"] = "Ramp to Terrace of Light";
	AMCL["Rilak"] = "Rilak the Redeemed";
	AMCL["Adyria"] = "Arcanist Adyria <The Scryers>";
	AMCL["DGrashna"] = "Defender Grashna";

	AMCL["Oloraak"] = "Oloraak <Fish Merchant>";

	AMCL["ShattInf"] = "Shattrath Infirmary";
	AMCL["Sha'nir"] = "Sha'nir <The Aldor>";
	AMCL["Seth"] = "Seth";
	AMCL["Zahlia"] = "Zahlia";
	AMCL["Rokk"] = "The Rokk <Master of Cooking>";
	AMCL["Barth"] = "Barthamus";

	AMCL["ExitTF"] = "Exit to Terokkar Forest";

	AMCL["ABG"] = "Alliance Brigadier General (Alliance";
	AMCL["ABG&"] = "          Battlemasters)";
	AMCL["Vinvo"] = "Vinvo Goldgear <Strand of the Ancients Battlemaster>";
	AMCL["Vinvo&"] = "";
	AMCL["Haelga"] = "Haelga Slatefist <Alterac Valley Battlemaster>";
	AMCL["Lylandor"] = "Lylandor <Warsong Gulch Battlemaster>";
	AMCL["Iravar"] = "Iravar <Eye of the Storm Battlemaster>";
	AMCL["AEternum"] = "Adam Eternum <Arathi Basin Battlemaster>";

	AMCL["WorldEndT"] = "World's End Tavern";
	AMCL["Lathrai"] = "Wind Trader Lathrai";
	AMCL["Shaarubo"] = "Shaarubo <Bartender>";
	AMCL["Lonika"] = "Lonika Stillblade <Rogue Academy Proprietor>";
	AMCL["Kylene"] = "Kylene <Barmaid>";
	AMCL["Pilton"] = "Haris Pilton <Socialite>";
	AMCL["Zhareem"] = "Wind Trader Zhareem";
	AMCL["Mah'duun"] = "Nether-Stalker Mah'duun";
	AMCL["Zephyr"] = "Zephyr (Reputation Port NPC to CoT)";
	AMCL["salabim"] = "Sal'salabim";
	AMCL["Raliq"] = "Raliq the Drunk";

	AMCL["Kradu"] = "Kradu Grimblade <Weaponsmith Trainer>";
	AMCL["Zula"] = "Zula Slagfury <Armorsmith Trainer>";

	AMCL["Orph"] = "Orphanage";
	AMCL["Bartlett"] = "Nicole Bartlett <Matron>";

	AMCL["HWB"] = "Horde Warbringer (Horde Battlemasters)";
	AMCL["Jojindi"] = "Jojindi <Strand of the Ancients Battlemaster>";
	AMCL["Montok"] = "Montok Redhands <Warsong Gulch Battlemaster>";
	AMCL["Maka"] = "Wolf-Sister Maka <Alterac Valley Battlemaster>";
	AMCL["Keldor"] = "Keldor the Lost <Arathi Basin Battlemaster>";
	AMCL["Yula"] = "Yula the Fair <Eye of the Storm Battlemaster>";
	AMCL["Issca"] = "Issca <Tabard Vendor>";

	AMCL["Seymour"] = "Seymour <Master Skinning Trainer>";
	AMCL["Ernie"] = "Ernie Packwell <Trade Goods>";
	AMCL["Cro"] = "Cro Threadstrong <Leatherworking Supplies>";
	AMCL["Darmari"] = "Darmari <Master Leatherworking Trainer>";
	AMCL["Andrion"] = "Andrion Darkspinner <Shadoweave Specialist>";
	AMCL["Gidge"] = "Gidge Spellweaver <Spellfire Specialist>";
	AMCL["Nasmara"] = "Nasmara Moonsong <Mooncloth Specialist>";
	AMCL["Eiin"] = "Eiin <Specialty Tailoring Supplies>";
	AMCL["Griftah"] = "Griftah <Amazing Amulets>";
	AMCL["Viggz"] = "Viggz Shinesparked <Engineering Supplies>";
	AMCL["Fantei"] = "Fantei <Reagent Vendor>";
	AMCL["Aaron"] = "Aaron Hollman <Blacksmithing Supplies>";
	AMCL["MRuby"] = "Madame Ruby <Enchanting Supplies>";
	AMCL["Eral"] = "Eral <General Goods>";
	AMCL["Moser"] = "Muffin Man Moser <Bread Merchant>";
	AMCL["Nakodu"] = "Nakodu <Lower City Quartermaster>";
	AMCL["JackT"] = "Jack Trapper <Cook>";
	AMCL["Saltit"] = "Jim Saltit <Cooking Supplies>";
	AMCL["GSmith"] = "Granny Smith <Fruit Seller>";
	AMCL["BTurner"] = "Brendan Turner <Meat Vendor>";
	AMCL["Grok"] = "Grok";
	AMCL["Oven"] = "Clay Oven";
	AMCL["Tobias"] = "Tobias the Filth Gorger";
	AMCL["Gordie"] = "Gordie";

	AMCL["LowerSB"] = "Lower entrance to Scryer Bank";

	AMCL["Browning"] = "Kevin Browning <Coffee Aficionado>";
	AMCL["Browning&"] = "           (Travels from east exit to south east exit)";

  --Red
	AMCL["Scryer's Tier"] = "Scryer's Tier";

	AMCL["Haelthol"] = "Innkeeper Haelthol";

	AMCL["Ilthuril"] = "Ilthuril <Stable Master>";
	AMCL["Endernor"] = "Trader Endernor <Trade Goods>";
	AMCL["Lisrythe"] = "Lisrythe Bloodwatch <Fence>";
	AMCL["Mahir"] = "Mahir Redstroke <Dagger Vendor>";
	AMCL["Dathris"] = "Dathris Sunstriker";

	AMCL["Kirembri"] = "Kirembri Silvermane <Master Jewelcrafting Trainer>";
	AMCL["Kirembri&"] = "";
	AMCL["Hanlir"] = "Hanlir <Master Mining Trainer>";
	AMCL["Lanloer"] = "Scribe Lanloer <Master Inscription Trainer>";
	AMCL["Andiala"] = "Enchantress Andiala <Master Enchanting Trainer>";

	AMCL["Nalama"] = "Nalama the Merchant <General Goods>";
	AMCL["Urumir"] = "Urumir Stavebright <Staff Vendor>";

	AMCL["Falris"] = "Magister Falris";
	AMCL["Fyalenn"] = "Magistrix Fyalenn (Accepts Tokens in exchange";
	AMCL["Fyalenn&"] = "          for Scryer Reputation)";

	AMCL["SeerLib"] = "The Seer's Library";
	AMCL["Arodis"] = "Arodis Sunblade <Keeper of Sha'tari Artifacts>";
	AMCL["Veynna"] = "Veynna Dawnstar <Keeper of Sha'tari Heirlooms>";
	AMCL["Volali"] = "Enchantress Volali <Enchanting Trainer>";
	AMCL["Bardolan"] = "High Enchanter Bardolan <Master Enchanting Trainer>";
	AMCL["Bardolan&"] = "";
	AMCL["Voren"] = "Voren'thal the Seer";
	AMCL["Lisrythe"] = "Loremaster Skosiris";
	AMCL["Traini"] = "Training for all professions up to Master level";
	AMCL["Traini&"] = "          (Book stacks)";

	AMCL["Mi'irku"] = "Mi'irku Farstep <Portal Trainer>";
	AMCL["Mi'irku&"] = "           (Up the outside slope)";
	AMCL["Olodam"] = "Olodam Farhollow";

	AMCL["Alamaro"] = "Vinemaster Alamaro <Wine Vendor>";
	AMCL["Amshesha"] = "Amshesha Stilldark <Reagent Vendor>";
	AMCL["Yurial"] = "Yurial Soulwater <Enchanting Supplies>";

	AMCL["Quelama"] = "Quelama Lightblade <Wand Vendor>";
	AMCL["Selanam"] = "Selanam the Blade <Sword Vendor>";

	AMCL["Aelthin"] = "Aelthin <Master Alchemy Trainer>";
	AMCL["Alaenra"] = "Botanist Alaenra <Master Herbalism Trainer>";

	AMCL["Delvinar"] = "Archer Delvinar <Specialty Ammunition>";
	AMCL["Daenril"] = "Daenril <Master Leatherworking Trainer>";
	AMCL["Miralisse"] = "Miralisse <Master Tailoring Trainer>";
	AMCL["Irduil"] = "Irduil <Master Skinning Trainer>";
	AMCL["Barien"] = "Barien <Master Blacksmithing Trainer>";
	AMCL["Sinbei"] = "Engineer Sinbei <Master Engineering Trainer>";

  --Blue
	AMCL["ARise"] = "Aldor Rise";

	AMCL["Minalei"] = "Minalei <Innkeeper>";
	AMCL["Garul"] = "Garul <Food and Drink Vendor>";
	AMCL["Oruhe"] = "Oruhe <Stable Master>";

	AMCL["Nemiha"] = "Nemiha <Master Jewelcrafting Trainer>";
	AMCL["Fono"] = "Fono <Master Mining Trainer>";
	AMCL["Zurii"] = "Zurii <Master Enchanting Trainer>";
	AMCL["Lidio"] = "Recorder Lidio <Master Inscription Trainer>";

	AMCL["Caylee"] = "Caylee Dak";

	AMCL["Erothem"] = "Harbinger Erothem";
	AMCL["Adyen"] = "Adyen the Lightwarden";

	AMCL["Hamanar"] = "Hamanar <Master Jewelcrafting Trainer>";
	AMCL["Inessera"] = "Inessera <Jewelcrafting Supplies>";
	AMCL["Ahemen"] = "Ahemen <Staff Vendor>";

	AMCL["Dremm"] = "Dremm <Master Skinning Trainer>";
	AMCL["Aoa"] = "Weaver Aoa <Master Tailoring Trainer>";
	AMCL["Korim"] = "Korim <Master Leatherworking Trainer>";
	AMCL["Bova"] = "Marksman Bova <Specialty Ammuntion>";
	AMCL["Kanhu"] = "Alchemist Kanhu <Master Alchemy Trainer>";
	AMCL["Jijia"] = "Jijia <Master Herbalism Trainer>";
	AMCL["Onodo"] = "Onodo <Master Blacksmithing Trainer>";
	AMCL["Mihila"] = "Technician Mihila <Master Engineering Trainer>";

	AMCL["UnenLight"] = "Shrine of Unending Light";
	AMCL["Ishanah"] = "Ishanah <High Priestess of the Aldor>";
	AMCL["Kelara"] = "Kelara <Keeper of Sha'tari Heirlooms>";
	AMCL["Asuur"] = "Asuur <Keeper of Sha'tari Artifacts>";

	AMCL["ENagrand"] = "Exit to Nagrand";
    
  --NPC Silvermoon
  --White
	AMCL["Bazaar"] = "The Bazaar";

	AMCL["Wayfar"] = "Wayfarer's Rest";
	AMCL["Jovia"] = " Innkeeper Jovia <Innkeeper>";
	AMCL["Sylann"] = "Sylann <Cook>";
	AMCL["Quelis"] = "Quelis <Cooking Supplies>";

	AMCL["SFinery"] = "Silvermoon Finery";
	AMCL["Zyandrel"] = "Zyandrel <Cloth Armor Merchant>";
	AMCL["Andra"] = "Andra <Clothier>";
	AMCL["Rathin"] = "Rathin <Bag Vendor>";

	AMCL["Bithrus"] = "Bithrus <Fireworks Vendor>";

	AMCL["Keelen's"] = "Keelen's Trustworthy Tailoring";
	AMCL["SorimL"] = "Sorim Lightsong <Horde Cloth Quartmaster>";
	AMCL["Keelen"] = "Keelen Sheets <Tailoring Trainer>";
	AMCL["Deynna"] = "Deynna <Tailoring Supplies>";

	AMCL["Welethelon"] = "Welethelon <Blunt Weapon Merchant>";
	AMCL["Noraelath"] = "Noraelath <Leather Armor Merchant>";

	AMCL["BladesbR"] = "Blades by Rahein";
	AMCL["Rahein"] = "Rahein <Blade Vendor>";
	AMCL["Feledis"] = "Feledis <Axe Vendor>";

	AMCL["GeGoods"] = "General Goods";
	AMCL["Sathren"] = "Sathren Azuredawn <General Goods>";
	AMCL["Zalle"] = "Zalle <Reagent Vendor>";

	AMCL["SSPMP"] = "Shields of Silver/Plate and Mail Protection";
	AMCL["Winthren"] = "Winthren <Shield Merchant>";
	AMCL["Tynna"] = "Tynna <Plate Armor Merchant>";
	AMCL["Keeli"] = "Keeli <Mail Armor Merchant>";

	AMCL["Parnis"] = "Parnis <Tradesman>";

  --Purp
	AMCL["WElders"] = "Walk of Elders";

	AMCL["Harene"] = "Harene Plainwalker <Druid Trainer>";

	AMCL["Velaani's"] = "Velaani's Arcane Goods";
	AMCL["Velanni"] = "Velanni <Alchemy Supplies & Reagents>";
	AMCL["Zathanna"] = "Zathanna <Wand Vendor>";

	AMCL["CGate"] = "The Shepherd's Gate";

	AMCL["SilRegistry"] = "Silvermoon Registry";
	AMCL["Tandrine"] = "Tandrine <Guild Master>";
	AMCL["Kredis"] = "Kredis <Tabard Vendor>";

	AMCL["Lynalis"] = "Lynalis <Leatherworking Trainer>";
	AMCL["Zaralda"] = "Zaralda <Leatherworking Supplies>";
	AMCL["Tyn"] = "Tyn <Skinning Trainer>";

	AMCL["Drathen"] = "Drathen <Fishing Trainer>";
	AMCL["Olirea"] = "Olirea <Fishing Supplies>";
	AMCL["Alestus"] = "Alestus <First Aid Trainer>";

  --Gren
	AMCL["RoyEx"] = "The Royal Exchange";

	AMCL["SCI"] = "Silvermoon City Inn";
	AMCL["Velandra"] = "Innkeeper Velandra <Innkeeper>";
	AMCL["Suntouched"] = "Vinemaster Suntouched <Wine & Spirits Merchant>";
	AMCL["BKAdept"] = "Blood Knight Adept";
	AMCL["Stillb"] = "Blood Knight Stillblade";

	AMCL["Kalinda"] = "Kalinda <Jewelcrafting Trainer>";
	AMCL["Gelanthis"] = "Gelanthis <Jewelcrafting Supplier>";
	AMCL["Amin"] = "Amin <Apprentice Jewelcrafter>";

  --Red
	AMCL["FarSquare"] = "Farstrider Square";

	AMCL["Celana"] = "Celana <Bowyer>";
	AMCL["Matha"] = "Mathaleron <Gunsmith>";

	AMCL["Osselan"] = "Osselan <Paladin Trainer>";
	AMCL["Ithelis"] = "Ithelis <Paladin Trainer>";
	AMCL["CBachi"] = "Champion Bachi <Paladin Trainer>";
	AMCL["Bvalor"] = "Knight-Lord Bloodvalor";
	AMCL["Astalor"] = "Magister Astalor Bloodsworn (Lower Section)";
	AMCL["Solanar"] = "Lord Solanar Bloodwrath (Lower Section)";
	AMCL["Ileda"] = "Ileda <Weapon Master>";

	AMCL["Bipp"] = "Bipp Glizzitor <Arena Battlemaster>";
	AMCL["Karen"] = "Karen Wentworth <Arathi Basin Battlemaster>";
	AMCL["Alenjon"] = "Alenjon Sunblade <Battlemaster>";
	AMCL["Irissa"] = "Irissa Bloodstar <Battlemaster>";
	AMCL["Caradess"] = "Magistrix Caradess <Wintergrasp Battle-Mage>";
--	AMCL["Gurak"] = "Gurak <Alterac Valley Battlemaster>";
--	AMCL["Duyash"] = "Duyash the Cruel <Eye of the Storm Battlemaster>";
--	AMCL["Krukk"] = "Krukk <Warsong Gulch Battlemaster>";
--	AMCL["Mabrian"] = "Mabrian Fardawn <Strand of the Ancients>";
--	AMCL["Mabrian&"] = "          Battlemaster";

	AMCL["SLowerSec"] = "Stairs to Lower Section";

	AMCL["Shalenn"] = "Shalenn <Stable Master>";
	AMCL["Tana"] = "Tana <Hunter Trainer>";
	AMCL["Oninath"] = "Oninath <Hunter Trainer>";
	AMCL["Zandine"] = "Zandine <Hunter Trainer>";
	AMCL["Halthenis"] = "Halthenis <Pet Trainer>";

	AMCL["Zelan"] = "Zelan <Mining Supplies>";
	AMCL["Belil"] = "Belil <Mining Trainer>";
	AMCL["Bemarrin"] = "Bemarrin <Blacksmithing Trainer>";
	AMCL["Eriden"] = "Eriden <Blacksmithing Supplies>";

	AMCL["Danwe"] = "Danwe <Engineering Trainer>";
	AMCL["Yatheon"] = "Yatheon <Engineering Supplier>";
	AMCL["Gloresse"] = "Gloresse <Apprentice Engineer>";

  --Ltblu
	AMCL["MurRow"] = "Murder Row";

	AMCL["Nerisen"] = "Nerisen <Rogue Trainer>";
	AMCL["Elara"] = "Elara <Rogue Trainer>";
	AMCL["Zelanis"] = "Zelanis <Rogue Trainer>";
	AMCL["Darlia"] = "Darlia <Poison Supplies>";

	AMCL["Talionia"] = "Talionia <Warlock Trainer>";
	AMCL["Alamma"] = "Alamma <Warlock Trainer>";
	AMCL["Zanien"] = "Zanien <Warlock Trainer>";

  --Orng
	AMCL["CourtSun"] = "Court of the Sun";

	AMCL["Sedana"] = "Sedana <Enchanting Trainer>";
	AMCL["Lyna"] = "Lyna <Enchanting Supplies>";
	AMCL["Dolothos"] = "Dolothos <Apprentice Enchanter>";
	AMCL["Zantasia"] = "Zantasia <Inscription Trainer>";
	AMCL["Lelorian"] = "Lelorian <Inscription Supplies>";
	AMCL["Camberon"] = "Camberon <Alchemy Trainer>";
	AMCL["Nathera"] = "Botanist Nathera <Herbalist>";
	AMCL["Melaris"] = "Melaris <Alchemy Supplies>";
	AMCL["Razia"] = "Razia <Apprentice Alchemist>";


  --Blue
	AMCL["SunSpire"] = "Sunfury Spire";

	AMCL["OrbTrans"] = "Orb of Translocation to Undercity";

	AMCL["Lor'themar"] = "Lor'themar Theron <Regent Lord of Quel'Thalas>";
	AMCL["Brightwing"] = "Halduron Brightwing <Ranger General>";
	AMCL["Rommath"] = "Grand Magister Rommath";

	AMCL["Lotheolan"] = "Lotheolan <Priest Trainer>";
	AMCL["Belestra"] = "Belestra <Priest Trainer>";
	AMCL["Aldrae"] = "Aldrae <Priest Trainer>";

	AMCL["Zaedana"] = "Zaedana <Mage Trainer>";
	AMCL["Quithas"] = "Quithas <Mage Trainer>";
	AMCL["Inethven"] = "Inethven <Mage Trainer>";
	AMCL["Narinth"] = "Narinth <Portal Trainer>";
	AMCL["Elrodan"] = "Elrodan";
	AMCL["Aurosalia"] = "Aurosalia";
  
  --NPC Stormwind
  --Ltblu

	AMCL["Barbershop"] = "Barbershop";

	AMCL["ValHer"] = "Valley of Heroes";

	AMCL["SBank"] = "Stormwind Counting House";
	AMCL["Maloof"] = "Officer Maloof <Stormwind Commendations>";

	AMCL["Jorgen"] = "Jorgen";
	AMCL["Umbrua"] = "Farseer Umbrua <Shaman Trainer>";
	AMCL["GMarcus"] = "General Marcus Jonathan";
	AMCL["FMAfras"] = "Field Marshal Afrasiabi";
	AMCL["MMattin"] = "Major Mattingly";
	AMCL["Goodman"] = "Crier Goodman (Travels throughout the city)";

  --White
	AMCL["TDistri"] = "Trade District";

	AMCL["SWVC"] = "Stormwind Visitor Center";
	AMCL["AldwinL"] = "Aldwin Laughlin <Guild Master>";
	AMCL["RebecL"] = "Rebecca Laughlin <Tabard Designer>";

	AMCL["Trias'C"] = "Trias' Cheese";
	AMCL["ElaineT"] = "Elaine Trias <Mistress of Cheese>";
	AMCL["BenT"] = "Ben Trias <Apprentice of Cheese>";
	AMCL["ETrias"] = "Elling Trias <Master of Cheese>";

	AMCL["Pestle's"] = "Pestle's Apothecary";
	AMCL["RenatG"] = "Renato Gallina";
	AMCL["KyraB"] = "Kyra Boucher <Reagent>";
	AMCL["KeldrB"] = "Keldric Boucher <Alchemy Supplies & Reagents>";
	AMCL["MPestl"] = "Morgan Pestle";

	AMCL["EveryM"] = "Everyday Merchandise";
	AMCL["StephanT"] = "Stephanie Turner";
	AMCL["EdnaM"] = "Edna Mullby <Trade Supplies>";
	AMCL["TMull"] = "Thurman Mullby <General Goods Vendor>";

	AMCL["Weller's"] = "Weller's Arsenal";
	AMCL["MardaW"] = "Marda Weller <Weapons Merchant>";
	AMCL["GunthW"] = "Gunther Weller <Weapons Merchant>";
	AMCL["WooPing"] = "Woo Ping <Weapon Master>";

	AMCL["LionArm"] = "Lionheart Armory";
	AMCL["CarlaG"] = "Carla Granger <Cloth Armor Merchant>";
	AMCL["LaraM"] = "Lara Moore <Leather Armor Merchant>";
	AMCL["AldrM"] = "Aldric Moore <Mail Armor Merchant>";
	AMCL["HarlB"] = "Harlan Bagley";

	AMCL["TGRI"] = "The Gilded Rose Inn";
	AMCL["InnAl"] = "Innkeeper Allison";

	AMCL["EmpQuiv"] = "The Empty Quiver";
	AMCL["FredeS"] = "Frederick Stover <Bow & Arrow Merchant>";
	AMCL["LinaS"] = "Lina Stover <Arrow Merchant>";

	AMCL["JSharp"] = "Jelinek Sharpshear <Barber>";

	AMCL["DungL"] = "Dungar Longdrink <Gryphon Master>";

	AMCL["FragFlow"] = "Fragrant Flowers";
	AMCL["BGump"] = "Bernard Gump <Florist>";
	AMCL["FGump"] = "Felicia Gump <Herbalism Supplies>";

	AMCL["CanalTail"] = "Canal Tailor & Fit Shop";
	AMCL["LisbS"] = "Lisbeth Schneider <Clothier>";
	AMCL["RemaS"] = "Rema Schneider";

	AMCL["ArnoL"] = "Arnold Leland <Fishing Trainer>";
	AMCL["CatheL"] = "Catherine Leland <Fishing Supplies>";

	AMCL["GallWine"] = "Gallina Winery";
	AMCL["JuliG"] = "Julia Gallina <Wine Vendor>";
	AMCL["RobertP"] = "Roberto Pupellyverbos <Meriot Connoisseur>";
	AMCL["SuzetG"] = "Suzetta Gallina";

  --Orng
	AMCL["MageQuart"] = "The Mage Quarter";

	AMCL["Stock"] = "The Stockade";
	AMCL["WThelw"] = "Warden Thelwater";
	AMCL["Stocks"] = "The Stormwind Stockades Instance";

	AMCL["CStanf"] = "Catarina Stanford <Inscription Trainer>";
	AMCL["McCorm"] = "Stanly McCormick <Inscription Supplies>";

	AMCL["Mazen"] = "Mazen Mac'Nadir <Academy of Arcane Arts and Sciences>";
	AMCL["Mazen&"] = "";
	AMCL["AdairG"] = "Adair Gilroy <Librarian>";
	AMCL["ADellis"] = "Acolyte Dellis";

	AMCL["LucanC"] = "Lucan Cordell <Enchanting Trainer>";
	AMCL["JessaraC"] = "Jessara Cordell <Enchanting Supplies>";

	AMCL["SWStaves"] = "Stormwind Staves";
	AMCL["ArdwynC"] = "Ardwyn Cailen <Wand Merchant>";
	AMCL["AllanH"] = "Allan Hafgan <Staves Merchant>";

	AMCL["Duncan'sT"] = "Duncan's Textiles";
	AMCL["DuncanC"] = "Duncan Cullen <Light Armor Merchant>";
	AMCL["AlexanB"] = "Alexandra Bolero <Tailoring Supplies>";
	AMCL["GeorgB"] = "Georgio Bolero <Tailoring Trainer>";
	AMCL["Clavicus"] = "Clavicus Knavingham. Alliance Cloth Quartermaster";
	AMCL["Clavicus&"] = "";

	AMCL["AlcNee"] = "Alchemy Needs";
	AMCL["Tannysa"] = "Tannysa <Herbalism Trainer>";
	AMCL["Lilyss"] = "Lilyssia Nightbreeze <Alchemy Trainer>";
	AMCL["MariaL"] = "Maria Lumere <Alchemy Supplies>";
	AMCL["Eldra"] = "Eldraeith <Herbalism Supplies>";

	AMCL["CollinM"] = "Collin Mauren";

	AMCL["BlueRec"] = "The Blue Recluse";
	AMCL["Joachim"] = "Joachim Brenlow <Bartender>";
	AMCL["ConnorR"] = "Connor Rivers <Apprentice Chef>";
	AMCL["SLohan"] = "Steven Lohan";
	AMCL["AStern"] = "Angus Stern <Head Chef>";
	AMCL["CFire"] = "Cooking Fire";

	AMCL["AMalin"] = "Archmage Malin";

	AMCL["WizSan"] = "Wizard's Sanctum (Central Tower)";
	AMCL["HAndromath"] = "High Sorcerer Andromath";
	AMCL["JCannon"] = "Jennea Cannon <Mage Trainer>";
	AMCL["Elsharin"] = "Elsharin <Mage Trainer>";
	AMCL["MDumas"] = "Maginor Dumas <Master Mage>";
	AMCL["LPurdue"] = "Larimaine Purdue <Portal Trainer>";

	AMCL["LarsonClo"] = "Larson Clothiers";
	AMCL["WLarson"] = "Wynne Larson <Robe Merchant>";
	AMCL["ELarson"] = "Evan Larson <Hatter>";

	AMCL["EssenComp"] = "Essential Components";
	AMCL["OVaughn"] = "Owen Vaughn <Reagents>";

	AMCL["AncientCu"] = "Ancient Curios";
	AMCL["Yserian"] = "Charys Yserian <Arcane Trinkets Vendor>";

	AMCL["SlaughtLa"] = "The Slaughtered Lamb";
	AMCL["Jarel"] = "Jarel Moonr <Bartender>";
	AMCL["Jalane"] = "Jalane Ayrole <Master Shadoweave Tailor>";
	AMCL["Zardeth"] = "Zardeth of the Black Claw";
	AMCL["Sandahl"] = "Sandahl <Warlock Trainer>";
	AMCL["Gakin"] = "Gakin the Darkbinder";
	AMCL["Cloyce"] = "Demisette Cloyce <Warlock Trainer>";
	AMCL["Deline"] = "Ursula Deline <Warlock Trainer>";
	AMCL["Spackle"] = "Spackle Thornberry";

	AMCL["Pyrot"] = "Pyrotechnics";
	AMCL["Singh"] = "Darian Singh <Fireworks Vendor>";

  --Cyan
	AMCL["SWPark"] = "The Park";

	AMCL["Folsom"] = "Caretaker Folsom";

	AMCL["Sylista"] = "Sylista <Stable Master>";

	AMCL["SWInn"] = "Inn";

	AMCL["Shylamiir"] = "Shylamiir <Herbalism Trainer>";

	AMCL["Tavern"] = "Tavern";

	AMCL["ArgosN"] = "Argos Nightwhisper";
	AMCL["Sheldras"] = "Sheldras Moontree <Druid Trainer>";
	AMCL["Theridran"] = "Theridran <Druid Trainer>";
	AMCL["Maldryn"] = "Maldryn <Druid Trainer>";
	AMCL["NaraM"] = "Nara Meideros <Priest Trainer>";

	AMCL["WAP"] = "These three wander around the Park";
	AMCL["Shailiea"] = "Shailiea";
	AMCL["KimberG"] = "Kimberly Grant";
	AMCL["KellyG"] = "Kelly Grant";

  --Red
	AMCL["SWHarbor"] = "The Stormwind Harbor";

	AMCL["Thargold"] = "Thargold Ironwing";
	AMCL["Nayura"] = "Nayura <Dockmaster>";
	AMCL["SAuberd"] = "Ship to Auberdine";
	AMCL["Assurance"] = "The Assurance";
	AMCL["PCarver"] = "Captain Paul Carver";
	AMCL["GCPK"] = "Galley Chief Paul Kubit <Food & Drink Vendor>";
	AMCL["kurtisP"] = "Engineer kurtis Paddock <Trade Supplies>";
	AMCL["LeeshaT"] = "Leesha Tannerby <Dockmaster>";
	AMCL["SVali"] = "Ship to Valiance Keep";
	AMCL["StevenA"] = "Steven Allen";
	AMCL["SWlight"] = "Stormwind lighthouse";

  --Purp
	AMCL["CathSqua"] = "Cathedral Square";

	AMCL["MorrisL"] = "Morris Lawry";

	AMCL["FThread"] = "The Finest Thread";

	AMCL["JMaces"] = "Just Maces";
	AMCL["GArdus"] = "Gregory Ardus <Staff & Mace Merchant>";

	AMCL["RPlates"] = "Righteous Plates";
	AMCL["AgustM"] = "Agustus Moulaine <Mail Armor Merchant>";
	AMCL["TheresM"] = "Theresa Moulaine <Robe Vendor>";

	AMCL["BKrist"] = "Brother Kristoff";

	AMCL["OMNight"] = "Orphan Matron Nightingale";
	AMCL["Shel"] = "Shellene <Orphan Matron>";

	AMCL["CathLig"] = "Cathedral of Light";
	AMCL["BSarno"] = "Brother Sarno";
	AMCL["Rall"] = "Duthorian Rall";
	AMCL["BFarth"] = "Bishop Farthing";
	AMCL["ABBened"] = "Archbishop Benedictus";
	AMCL["Gazin"] = "Gazin Tenorm";
	AMCL["HPLaur"] = "High Priestess Laurena <Priest Trainer>";
	AMCL["JoshPT"] = "Brother Joshua <Priest Trainer>";
	AMCL["Benj"] = "Brother Benjamin <Priest Trainer>";

	AMCL["Grayson"] = "Lord Grayson Shadowbreaker <Paladin Trainer>";
	AMCL["KathPT"] = "Katherine the Pure <Paladin Trainer>";
	AMCL["ArthPT"] = "Arthur the Faithful <Paladin Trainer>";

	AMCL["SFull"] = "Shaina Fuller <First Aid Trainer>";
	AMCL["BCass"] = "Brother Cassius <Reagent Vendor>";

	AMCL["CathLigD"] = "Cathedral of Light (Downstairs)";
	AMCL["BAnton"] = "Brother Anton <Scarlet Crusade Emissary>";

	AMCL["CityHall"] = "City Hall";
	AMCL["BarosA"] = "Baros Alexston <City Architect>";
	AMCL["RFBathr"] = "Royal Factor Bathrilor <Stormwind Census>";

	AMCL["ArgentD"] = "The Argent Dawn";

	AMCL["OEmma"] = "Ol' Emma (Travels to the well in the Trade District";
	AMCL["OEmma&"] = "          and back to her house every fifteen minutes)";

  --Yell
	AMCL["DwarvDist"] = "The Dwarven District";

	AMCL["CTAlley"] = "Cut-Throat Alley";

	AMCL["GelmanS"] = "Gelman Stonehand <Mining Trainer>";
	AMCL["BrookeS"] = "Brooke Stonebraid <Mining Supplies>";

	AMCL["BorgusS"] = "Borgus Steelhand <Weaponsmith Trainer>";
	AMCL["KathA"] = "Kathrum Axehand <Axe Merchant>";
	AMCL["Grimand"] = "Grimand Elmore";

	AMCL["ThulmF"] = "Thulman Flintcrag <Guns Vendor>";

	AMCL["Shoni"] = "Shoni the Shilent";

	AMCL["LilliS"] = "Lilliam Sparkspindle <Engineering Trainer>";
	AMCL["BilliC"] = "Billibub Cogspinner <Engineering Supplier>";

	AMCL["EyeStorm"] = "Eye of the Storm Emissary";

	AMCL["TherumD"] = "Therum Deepforge <Blacksmithing Trainer>";
	AMCL["KaitaD"] = "Kaita Deepforge <Blacksmithing Supplies>";
	AMCL["Hank"] = "Hank the Hammer <Mithril Order>";
	AMCL["Furen"] = "Furen Longbeard";
	AMCL["BenikB"] = "Benik Boltshear <Locksmith>";

	AMCL["Jenova"] = "Jenova Stoneshield <Stable Master>";
	AMCL["Einris"] = "Einris Brightspear <Hunter Trainer>";
	AMCL["Ulfir"] = "Ulfir Ironbeard <Hunter Trainer>";
	AMCL["Thorfin"] = "Thorfin Stoneshield <Hunter Trainer>";

	AMCL["Morgg"] = "Morgg Stormshot";

	AMCL["Brohann"] = "Brohann Caskbelly <Explorers' League>";
	AMCL["Wilder"] = "Wilder Thistlenettle";

  --Blue
	AMCL["SWKeep"] = "Stormwind Keep";

	AMCL["PetCham"] = "Petitioner's Chamber";
	AMCL["CRRidge"] = "Count Remington Ridgewell <House of Nobles>";
	AMCL["LBWishock"] = "Lord Baurles K. Wishock <House of Nobles>";
	AMCL["Caledra"] = "Caledra Dawnbreeze";

	AMCL["Varian"] = "King Varian Wrynn <King of Stormwind>";
	AMCL["Anduin"] = "Anduin Wrynn <Prince of Stormwind>";
	AMCL["ETaluun"] = "Emissary Taluun";

	AMCL["Delavey"] = "Bishop Delavey";

	AMCL["WarRoom"] = "War Room";
	AMCL["Jes-Ter"] = "Grand Admiral Jes-Tereth";
	AMCL["MithI"] = "Mithras Ironhill";
	AMCL["Beka"] = "Beka Zipwhistle <Arena Battlemaster>";
	AMCL["ThelmS"] = "Thelman Slatefist <Alterac Valley, Arena Battlemaster>";
	AMCL["Elfarran"] = "Elfarran <Warsong Gultch Battlemaster>";
	AMCL["Jovil"] = "Jovil <Eye of the Storm Battlemaster>";
	AMCL["Hotes"] = "Lady Hoteshem <Arathi Basin Battlemaster>";
	AMCL["Bethany"] = "Bethany Aldire <Strand of the Ancients Battlemaster>";

	AMCL["MSamuel"] = "Major Samuelson <Stormwind City Guard>";

	AMCL["Tyrion"] = "Tyrion";
	AMCL["Alicia"] = "Alicia";

	AMCL["RoyLib"] = "Royal Library";
	AMCL["Milton"] = "Milton Sheaf <Librarian>";
	AMCL["Donyal"] = "Donyal Tovald <Librarian>";
	AMCL["GregorL"] = "Lord Gregor Lescovar";

	AMCL["RoyGal"] = "Royal Gallery";

  --Gren
	AMCL["OldTown"] = "Old Town";

	AMCL["HHW"] = "Heavy Handed Weapons";
	AMCL["GKoen"] = "Gerik Koen <Two-Handed Weapon Merchant>";

	AMCL["Pig&W"] = "Pig & Whistle Tavern";
	AMCL["ReeseL"] = "Reese Langston <Tavernkeeper>";
	AMCL["SRyback"] = "Stephen Ryback <Cooking Trainer>";
	AMCL["ETate"] = "Erika Tate <Cooking Supplies>";
	AMCL["KKabon"] = "Kendor Kabonka <Master of Cooking Recipes>";
	AMCL["Bartleby"] = "Bartleby <Drunk>";
	AMCL["DLangs"] = "David Langston";
	AMCL["Aedis"] = "Aedis Brom";
	AMCL["Faral"] = "Christoph Faral";
	AMCL["HarryB"] = "Harry Burlguard";
	AMCL["EllyLang"] = "Elly Langston <Barmaid>";

	AMCL["FDV"] = "The Five Deadly Venoms";
	AMCL["Lenney"] = "Lenney 'Fingers' McCoy (outside)";
	AMCL["Beasley"] = "Ol'Beasley (outside)";
	AMCL["Dashel"] = "Dashel Stonefist (outside)";
	AMCL["MilesS"] = "Miles Sidney <Poison Supplies>";
	AMCL["Wright"] = "Wright Williams";

	AMCL["HonestB"] = "Honest Blades";
	AMCL["Heinrich"] = "Heinrich Stone <Blade Merchant>";

	AMCL["Immuni"] = "Limited Immunity";
	AMCL["OStrang"] = "Osric Strang <Heavy Armor Merchant>";
	AMCL["WStrang"] = "Wilhelm Strang <Mail Armor Merchant>";

	AMCL["Osborne"] = "Osborne the Night Man <Rogue Trainer>";

	AMCL["CHall"] = "Champion's Hall";
	AMCL["O'Neal"] = "Captain O'Neal <Jewelcrafting Quartermaster>";
	AMCL["Jacksp"] = "Lieutenant Jackspring <Weapons Quartermaster>";
	AMCL["Biggin"] = "Master Sergeant Biggins <Officer Accessories Quartermaster>";
	AMCL["Biggin&"] = "";
	AMCL["Karter"] = "Lieutenant Karter <Mount Vendor>";
	AMCL["Tristia"] = "Lieutenant Tristia <Veteran Armor Quartermaster>";
	AMCL["Skyshad"] = "Sergeant Major Skyshadow";
	AMCL["Ennarth"] = "Harbinger Ennarth";
	AMCL["Gaiman"] = "Archmage Gaiman";
	AMCL["Vaccar"] = "Lieutenant Rachel Vaccar";
	AMCL["Dirgeh"] = "Captain Dirgehammer <Apprentice Armor Quartermaster>";
	AMCL["Dirgeh&"] = "";
	AMCL["Moonst"] = "Knight-Lieutenant Moonstrike <Armor Quartermaster>";
	AMCL["Moonst&"] = "";
	AMCL["Clate"] = "Sergeant Major Clate <Armor Quartermaster>";

	AMCL["ComCent"] = "Command Center";
	AMCL["Wood"] = "Master Wood";
	AMCL["IlsaC"] = "Ilsa Corbin <Warrior Trainer>";
	AMCL["WuShen"] = "Wu Shen <Warrior Trainer>";
	AMCL["AnderG"] = "Ander Germaine <Warrior Trainer>";

	AMCL["SI:7"] = "SI:7";
	AMCL["Mathias"] = "Master Mathias Shaw <Leader of SI:7>";
	AMCL["Renzik"] = "Renzik 'The Shiv' <SI:7 Operative>";
	AMCL["Sloan"] = "Sloan McCoy <Poison Supplies>";
	AMCL["Fel"] = "Jasper Fel <Shady Dealer>";
	AMCL["Romano"] = "Lord Tony Romano <Rogue Trainer>";
	AMCL["Mixil"] = "Doc Mixilpixil (downstairs)";

	AMCL["ProHide"] = "The Protective Hide";
	AMCL["STanner"] = "Simon Tanner <Leatherworking Trainer>";
	AMCL["JTanner"] = "Jillian Tanner <Leatherworking Supplies>";
	AMCL["Granger"] = "Maris Granger <Skinning Trainer>";
	AMCL["AlyssaG"] = "Alyssa Griffith <Bag Vendor>";
	AMCL["SeomanG"] = "Seoman Griffith <Leather Armor Merchant>";
	AMCL["Noah"] = "Little Noah";

	AMCL["ThanBoo"] = "Thane's Boots";
	AMCL["Mayda"] = "Mayda Thane <Cobbler>";

	AMCL["SilverSh"] = "The Silver Shield";
	AMCL["BCross"] = "Bryan Cross <Shield Merchant>";

	AMCL["JennL"] = "Jenn Langston (Does a circuit around Old Town)";
	AMCL["Nikova"] = "Nikova Raskol (Does a circuit around Old Town";
	AMCL["Nikova&"] = "          stopping at three places for a few";
	AMCL["Nikova&1"] = "          minutes each stop)";
  
  --NPC Thunder Bluff
  --White
	AMCL["LLevel"] = "The Lower Rise";

	AMCL["Pala"] = "Innkeeper Pala";
	AMCL["Bulrug"] = "Bulrug <Stable Master>";
	AMCL["AtHR"] = "Access to The Hunter Rise";

	AMCL["ElevM"] = "Elevator to Mulgore";

	AMCL["TBCI"] = "Thunder Bluff Civic Information";
	AMCL["Thrumn"] = "Thrumn <Tabard Vendor>";
	AMCL["Krumn"] = "Krumn <Guild Master>";
	AMCL["Scorch"] = "Scorching Fire";

	AMCL["Kuruk's"] = "Kuruk's Goods";
	AMCL["Kuruk"] = "Kuruk <General Goods Vendor>";
	AMCL["Pakwa"] = "Pakwa <Bag Vendor>";

	AMCL["TGASu"] = "Trade Goods and Supplies";
	AMCL["ShadiM"] = "Shadi Mistrunner <Trade Goods Supplies>";

	AMCL["Jyn"] = "Jyn Stonehoof <Weapons Merchant>";
	AMCL["Ansek"] = "Ansekhwa <Weapon Master>";

	AMCL["Hewa's"] = "Hewa's Armory";
	AMCL["Hewa"] = "Hewa <Cloth Armor Merchant>";
	AMCL["Elki"] = "Elki <Mail Armor Merchant>";
	AMCL["Ahanu"] = "Ahanu <Armor Merchant>";

	AMCL["Tal"] = "Tal <Wind Rider Master>";
	AMCL["ALLMLUL"] = "Access to The Lower Rise, The Middle Rise and";
	AMCL["ALLMLUL&"] = "          The Upper Rise";

	AMCL["derstr"] = "Officer Thunderstrider <Thunder Bluff Commendations>";
	AMCL["derstr&"] = "";

	AMCL["BandG"] = "Breads and Grains";
	AMCL["Fry"] = "Fry Mistrunner <Bread Vendor>";

	AMCL["Karn's"] = "Karn's Smithy";
	AMCL["Karn"] = "Karn Stonehoof <Blacksmithing Trainer>";
	AMCL["Taur"] = "Taur Stonehoof <Blacksmithing Supplies>";
	AMCL["Orm"] = "Orm Stonehoof";

	AMCL["Truths"] = "Sage Truthseeker";
	AMCL["AtSR"] = "Access to The Spirit Rise";

	AMCL["Geology"] = "Stonehoof Geology";
	AMCL["Brek"] = "Brek Stonehoof <Mining Trainer>";
	AMCL["KurmS"] = "Kurm Stonehoof <Mining Supplies>";

	AMCL["Eyahn"] = "Eyahn Eagletalon";
	AMCL["Auld"] = "Auld Stonespire";

	AMCL["Chepi"] = "Chepi <Reagent Vendor>";
	AMCL["Chepi&"] = "           (Does a circle around the Lower Rise)";
	AMCL["Windst"] = "Bluff Runner Windstrider (Travels between the";
	AMCL["Windst&"] = "          Lower Rise and the Upper Rise)";

  --Purp
	AMCL["MLevel"] = "The Middle Rise";

	AMCL["Thund"] = "Thunderhorn's Archery";
	AMCL["Kuna"] = "Kuna Thunderhorn <Bowyer & Fletching Goods>";

	AMCL["FaV"] = "Fruits and Vegetables";
	AMCL["Nan"] = "Nan Mistrunner <Fruit Vendor>";

	AMCL["Holis"] = "Holistic Herbalism";
	AMCL["Komin"] = "Komin Winterhoof <Herbalism Trainer>";
	AMCL["Nida"] = "Nida Winterhoof <Herbalism Supplies>";

	AMCL["AtER"] = "Access to The Elder Rise";

	AMCL["CloudB"] = "Cloudeweavers Baskets";
	AMCL["Tand"] = "Tand <Basket Weaver>";

	AMCL["Bena's"] = "Bena's Alcehcmy";
	AMCL["Bena"] = "Bena Winterhoof <Alchemy Trainer>";
	AMCL["Mani"] = "Mani Winterhoof <Alchemy Supplies>";

	AMCL["TBEnchanters"] = "Dawnstrider Enchanters";
	AMCL["Teg"] = "Teg Dawnstrider <Enchanting Trainer>";
	AMCL["Nata"] = "Nata Dawnstrider <Enchanting Supplies>";

	AMCL["TBArmorers"] = "Thunder Bluff Armorers";
	AMCL["Mooranta"] = "Mooranta <Skinning Trainer>";
	AMCL["Veren"] = "Veren Tallstrider";
	AMCL["Tepa"] = "Tepa <Tailoring Trainer>";
	AMCL["Mahu"] = "Mahu <Leatherworking & Tailoring Supplies>";
	AMCL["Tagain"] = "Tagain <Cloth Armor Merchant>";
	AMCL["Fela"] = "Fela <Heavy Armor Merchant>";
	AMCL["Grod"] = "Grod <Leather Armor Merchant>";
	AMCL["Una"] = "Una <Leatherworking Trainer>";
	AMCL["Rumstag"] = "Rumstag Proudstrider <Horde Cloth Quartermaster>";
	AMCL["Rumstag&"] = "";

  --Yell
	AMCL["ULevel"] = "The Upper Rise";

	AMCL["Rainsticks"] = "Rainsticks";
	AMCL["Sunn"] = "Sunn Ragetotem <Staff Merchant>";

	AMCL["KS&R"] = "Kodo Steak & Ribs";
	AMCL["Kaga"] = "Kaga Mistrunner <Meat Vendor>";

	AMCL["WinterT"] = "Winterhoof Totems";
	AMCL["Tah"] = "Tah Winterhoof";

	AMCL["MTB&T"] = "Mountaintop Bait & Tackle";
	AMCL["Kah"] = "Kah Mistrunner <Fishing Trainer>";
	AMCL["Sewa"] = "Sewa Mistrunner <Fishing Supplies>";

	AMCL["CairneB"] = "Cairne Bloodhoof <High Chieftain>";

	AMCL["Halpa"] = "Halpa <Prairie Dog Vendor>";

	AMCL["TBFirea"] = "Thunderbluff Firearms";
	AMCL["Hogor"] = "Hogor Thunderhoof <Guns Merchant>";

	AMCL["Raget"] = "Ragetotem Arms";
	AMCL["Delgo"] = "Delgo Ragetotem <Axe Merchant>";
	AMCL["Etu"] = "Etu Ragetotem <Mace & Staff Merchant>";
	AMCL["Ohanko"] = "Ohanko <Two Handed Weapon Merchant>";
	AMCL["Kard"] = "Kard Ragetotem <Sword & Dagger Merchant>";

	AMCL["Sura"] = "Sura Wildmane <War Harness Vendor>";

	AMCL["Aska's"] = "Aska's Kitchen";
	AMCL["Aska"] = "Aska Mistrunner <Cooking Trainer>";
	AMCL["Naal"] = "Naal Mistrunner <Cooking Supplies>";

	AMCL["Zangen"] = "Zangen Stonehoof";

  --Blue
	AMCL["HuntR"] = "The Hunter Rise";

	AMCL["HHall"] = "Hunter's Hall";
	AMCL["Urek"] = "Urek Thunderhorn <Hunter Trainer>";
	AMCL["Kary"] = "Kary Thunderhorn <Hunter Trainer>";
	AMCL["Holt"] = "Holt Thunderhorn <Hunter Trainer>";
	AMCL["Sark"] = "Sark Ragetotem <Warrior Trainer>";
	AMCL["Torm"] = "Torm Ragetotem <Warrior Trainer>";
	AMCL["Ker"] = "Ker Ragetotem <Warrior Trainer>";

	AMCL["Saern"] = "Saern Priderunner";
	AMCL["Melor"] = "Melor Stonehoof";

	AMCL["Althal"] = "Althallen Brightblade <Eye of the Storm Battlemaster>";
	AMCL["Martin"] = "Martin Lindsey <Arathi Basin Battlemaster>";
	AMCL["Fizim"] = "Fizim Blastwrench <Arena Battlemaster>";

	AMCL["Kergul"] = "Kergul Bloodaxe <Warsong Gultch Battlemaster>";
	AMCL["Ufuda"] = "Godo Cloudchewer <Strand of the Ancients Battlemaster>";
	AMCL["Ufuda&"] = "";
	AMCL["Taim"] = "Taim Ragetotem <Alterac Valley Battlemaster>";

	AMCL["Mosarn"] = "Mosarn";

	AMCL["Hesuwa"] = "Hesuwa Thunderhorn <Pet Trainer>";

  --Gren
	AMCL["ERise"] = "The Elder Rise";

	AMCL["HElders"] = "Hall of Elders";
	AMCL["Kym"] = "Kym Wildmane <Druid Trainer>";
	AMCL["Turak"] = "Turak Runetotem <Druid Trainer>";
	AMCL["Sheal"] = "Sheal Runetotem <Druid Trainer>";
	AMCL["Nara"] = "Nara Wildmane";
	AMCL["ADHamuul"] = "Arch Druid Hamuul Runetotem";

	AMCL["Bashana"] = "Bashana Runetotem";

	AMCL["Rahuro"] = "Rahuro <Magatha's Servant>";
	AMCL["Magatha"] = "Magatha Grimtotem <Elder Crone>";
	AMCL["Cor"] = "Cor Grimtotem";
	AMCL["Gorm"] = "Gorm Grimtotem";

	AMCL["ERDrums"] = "Elder Rise Drums";
	AMCL["Sheza"] = "Sheza Wildmane";

	AMCL["Ghede"] = "Ghede";

  --Orng
	AMCL["SRise"] = "The Spirit Rise";

	AMCL["HallofS"] = "Hall of Spirits";
	AMCL["Beram"] = "Beram Skychaser <Shaman Trainer>";
	AMCL["Siln"] = "Siln Skychaser <Shaman Trainer>";
	AMCL["Tigor"] = "Tigor Skychaser <Shaman Trainer>";
	AMCL["Xanis"] = "Xanis Flameweaver";

	AMCL["SHealing"] = "Spiritual Healing";
	AMCL["Pand"] = "Pand Stonebinder <First Aid Trainer>";

	AMCL["Pawe"] = "Pawe Mistrunner";

	AMCL["PVision"] = "Pools of Vision";
	AMCL["Clarice"] = "Clarice Foster";
	AMCL["Poshken"] = "Poshken Hardbinder <Inscription Trainer>";
	AMCL["Mertle"] = "Mertle Murkpen <Inscription Supplies>";
	AMCL["Malakai"] = "Malakai Cross <Priest Trainer>";
	AMCL["Zamah"] = "Apothecary Zamah <Royal Apothecary Society>";
	AMCL["Cranst"] = "Birgitte Cranston <Portal Trainer>";
	AMCL["Shymm"] = "Archmage Shymm <Mage Trainer>";
	AMCL["Welsh"] = "Miles Welsh <Priest Trainer>";
	AMCL["Ursyn"] = "Ursyn Ghull <Mage Trainer>";
	AMCL["FCobb"] = "Father Cobb <Priest Trainer>";
	AMCL["Xane"] = "Thurston Xane <Mage Trainer>";
  
  --NPC Undercity
  --White
	AMCL["TraQuart"] = "The Trade Quarter";

	AMCL["Aucti"] = " Auctioneer (Just outside of the Trade Quarter";
	AMCL["Aucti&"] = "           in the Canals)";

	AMCL["ERusk"] = "Eleanor Rusk <General Goods Vendor>";
	AMCL["GenGoods"] = " General Goods";

	AMCL["FDoan"] = "Felicia Doan <Trade Supplies>";
	AMCL["GCallow"] = "Genavie Callow";

	AMCL["BHandler"] = "Bat Handler";
	AMCL["MGarrett"] = "Michael Garrett <Bat Handler>";
	AMCL["PGarrett"] = "Patrick Garrett";

	AMCL["OGothena"] = "Officer Gothena <Undercity Commendations>";

	AMCL["UWeapons"] = "Weapons";
	AMCL["GWendham"] = "Gordon Wendham <Weapons Merchant>";
	AMCL["LWarren"] = "Louis Warren <Weapons Merchant>";

	AMCL["UHArmor"] = "Heavy Armor";
	AMCL["TWeldon"] = "Timothy Weldon <Heavy Armor Merchant>";
	AMCL["WElling"] = "Walter Ellingson <Heavy Armor Merchant>";

	AMCL["ULArmor"] = "Light Armor";
	AMCL["LNewcomb"] = "Lauren Newcomb <Light Armor Merchant>";
	AMCL["DBartlett"] = "Daniel Bartlett <Trade Supplies>";

	AMCL["AMaulray"] = "Anya Maulray <Stable Master>";
	AMCL["INorman"] = "Innkeeper Norman";

	AMCL["MReagents"] = "Mordan's Reagents";
	AMCL["Mordan"] = "Mordan <Reagent Vendor>";

	AMCL["NaznikS"] = "Naznik Sureshave <Barber>";
	AMCL["ECairn"] = "Edward Cairn <Elder>";

	AMCL["GuildCT"] = "Guild Creation/Tabards";
	AMCL["ROBauhaus"] = "Royal Overseer Bauhaus <Undercity  Census>";
	AMCL["EReming"] = "Edward Remington <Guild Tabard Designer>";
	AMCL["CDrakul"] = "Christopher Drakul <Guild Master>";
	AMCL["MPleas"] = "Merill Pleasance <Tabard Vendor>";

	AMCL["UCook"] = "Cooking";
	AMCL["EBurch"] = "Eunice Burch <Cooking Trainer>";
	AMCL["RBurch"] = "Ronald Burch <Cooking Supplies>";
	AMCL["RAndrean"] = "Raleigh Andrean <Ex-Chef>";

	AMCL["TawnyG"] = "Tawny Grisette <Mushroom Vendor>";
	AMCL["TawnyG&"] = "           (Does acircle on the upper area of ";
	AMCL["TawnyG&1"] = "          the Trade Quarter)";

	AMCL["JPayson"] = "Jeremiah Payson <Cockroach Vendor>";

	AMCL["Balth"] = "Harbinger Balthazad (Does a circuit in the";
	AMCL["Balth&"] = "          Trade Quarter and in the Canals just";
	AMCL["Balth&1"] = "          outside the Trade Quarter)";

  --Purp
	AMCL["Apothe"] = "The Apothecarium";

	AMCL["dugur"] = "Keeper Bel'dugur";

	AMCL["UHerba"] = "Herbalist";
	AMCL["MAllie"] = "Martha Alliestar <Herbalism Trainer>";
	AMCL["KAllie"] = "Katrina Alliestar <Herbalism Supplies>";

	AMCL["ALuca"] = "Alessandro Luca <Blue Moon Odds and Ends>";

	AMCL["UEnchant"] = "Enchantment";
	AMCL["LCrowe"] = "Lavinia Crowe <Enchanting Trainer>";
	AMCL["TWebb"] = "Thaddeus Webb <Enchanting Supplies>";

	AMCL["Parq"] = "Parqual Fintallas";

	AMCL["AGant"] = "Andron Gant";

	AMCL["Alchemist"] = "Alchemist";
	AMCL["Algernon"] = "Algernon <Alchemy Supplies>";
	AMCL["DMarsh"] = "Doctor Marsh <Apprentice Alchemist>";

	AMCL["DMFelben"] = "Doctor Martin Felben <Apprentice Alchemist>";
	AMCL["MAFaranell"] = "Master Apothecary Faranell <Royal Apothecary Society>";
	AMCL["MAFaranell&"] = "";
	AMCL["DHHalsey"] = "Doctor Herbert Halsey <Alchemy Trainer>";
	AMCL["Fuely"] = "Chemist Fuely";
	AMCL["Cuely"] = "Chemist Cuely";
	AMCL["TheodG"] = "Theodore Griffs";
	AMCL["Zinge"] = "Apothecary Zinge";
	AMCL["AKeev"] = "Apothecary Keever <Royal Apothecary Society>";

  --Blue
	AMCL["WarQuart"] = "The War Quarter";

	AMCL["GerardA"] = "Gerard Abernathy";
	AMCL["LeonaT"] = "Leona Tharpe";
	AMCL["JoannW"] = "Joanna Whitehall";

	AMCL["UBowM"] = "Bow Merchant";
	AMCL["AbigS"] = "Abigail Sawyer <Bow Merchant>";

	AMCL["UMining"] = "Mining";
	AMCL["BromK"] = "Brom Killian <Mining Trainer>";
	AMCL["SarahK"] = "Sarah Killan <Mining Supplies>";

	AMCL["UWeapM"] = "Weapons Merchants";
	AMCL["Abald"] = "Archibald <Weapon Master>";
	AMCL["GeoffH"] = "Geoffrey Hartwell <Weapon Merchant>";
	AMCL["BeniF"] = "Benijah Fenner <Weapon Merchant>";
	AMCL["FranE"] = "Francis Eliot <Weapon Merchant>";

	AMCL["UBlacks"] = "Blacksmith";
	AMCL["JVBrunt"] = "James Van Brunt <Blacksmithing Trainer>";
	AMCL["SVBrunt"] = "Samuel Van Brunt <Blacksmithing Supplies>";
	AMCL["MTrem"] = "Mirelle Tremayne <Heavy Armor Merchant>";

	AMCL["UGunsm"] = "Gunsmith";
	AMCL["NAtwood"] = "Nicholas Atwood <Gun Merchant>";

	AMCL["HAtwood"] = "Helena Atwood";

	AMCL["SHouser"] = "Sergeant Houser";
	AMCL["SRutger"] = "Sergeant Rutger";

	AMCL["FLanke"] = "Father Lankester <Priest Trainer>";
	AMCL["FLaza"] = "Father Lazarus <Priest Trainer>";
	AMCL["UAelth"] = "Aelthalyste <Priest Trainer>";
	AMCL["BFowl"] = "Baltus Fowler <Warrior Trainer>";
	AMCL["ACurt"] = "Angela Curthas <Warrior Trainer>";
	AMCL["ChristW"] = "Christopher Walker <Warrior Trainer>";

  --Gren
	AMCL["MagQuart"] = "The Magic Quarter";

	AMCL["UStaff"] = "Staff Merchant";
	AMCL["SUpton"] = "Sydney Upton <Staff Merchant>";
	AMCL["ZaneB"] = "Zane Bradford <Wand Vendor>";

	AMCL["UTailor"] = "Tailor";
	AMCL["RalsF"] = "Ralston Farnsley <Horde Cloth Quartermaster>"; 
	AMCL["SVCroy"] = "Sheldon Von Croy <Cloth Armor Merchant>";
	AMCL["Josef"] = "Josef Gregorian <Tailoring Trainer>";
	AMCL["Millie"] = "Millie Gregorian <Tailoring Supplies>";
	AMCL["LuciC"] = "Lucille Castleton <Robe Vendor>";

	AMCL["OranS"] = "Oran Snakewrithe";
	AMCL["SamaS"] = "Samatha Shackleton";
	AMCL["AndrB"] = "Andrew Brownell";

	AMCL["UCarto"] = "Cartography";
	AMCL["JorahA"] = "Jorah Annison";

	AMCL["UBook"] = "Book Dealer";
	AMCL["SalazB"] = "Salazar Bloch <Book Dealer>";

	AMCL["UReag"] = "Reagent Vendor";
	AMCL["HannA"] = "Hannah Akeley <Reagent Supplies>";

	AMCL["URelic"] = "Relic Vendor";
	AMCL["SilasZ"] = "Silas Zimmer";

	AMCL["JList"] = "Josephine Lister <Master Shadoweave Tailor>";

	AMCL["CHalg"] = "Carendin Halgar";

	AMCL["UpLevel"] = "Upper Level";
	AMCL["LMort"] = "Lexington Mortaim <Portal Trainer>";
	AMCL["BIces"] = "Bethor Iceshard";

	AMCL["RKerw"] = "Richard Kerwin <Warlock Trainer>";

	AMCL["AHart"] = "Anastasia Hartwell <Mage Trainer>";

	AMCL["LoLevel"] = "Lower Level";
	AMCL["LPick"] = "Luther Pickman <Warlock Trainer>";
	AMCL["KaalS"] = "Kaal Soulreaper <Warlock Trainer>";
	AMCL["KaelyH"] = "Kaelystia Hatebringer <Mage Trainer>";
	AMCL["PiercS"] = "Pierce Shackleton <Mage Trainer>";
	AMCL["MartS"] = "Martha Strain";
	AMCL["GodrF"] = "Godrick Farsan";

	AMCL["ArmaC"] = "Armand Cromwell <Fishing Trainer>";
	AMCL["LizbC"] = "Lizbeth Cromwell <Fishing Supplies>";

  --Orng
	AMCL["RogQuart"] = "The Rogues' Quarter";

	AMCL["UDag"] = "Daggers";
	AMCL["CSeat"] = "Charles Seaton <Blade Merchant>";
	AMCL["NStee"] = "Nathaniel Steenwick <Thrown Weapon Merchant>";

	AMCL["UPois"] = "Poison";
	AMCL["EGrav"] = "Ezekiel Graves <Poison Vendor>";

	AMCL["MEdra"] = "Mary Edras <First Aid Trainer>";

	AMCL["ULeat"] = "Leather Work";
	AMCL["ArthM"] = "Arthur Moore <Leatherworking Trainer>";
	AMCL["JoseM"] = "Joseph Moore <Leatherworking Supplies>";
	AMCL["GillM"] = "Gillian Moore <Leather Armor Merchant>";
	AMCL["KillH"] = "Killian Hagey <Skinning Trainer>";

	AMCL["UBag"] = "Bag Vendor";
	AMCL["JonaC"] = "Jonathan Chambers <Bag Vendor>";

	AMCL["UEngin"] = "Engineering";
	AMCL["FrankL"] = "Franklin Lloyd <Engineering Trainer>";
	AMCL["ElizVT"] = "Elizabeth Van Talen <Engineering Supplies>";
	AMCL["GrahVT"] = "Graham Van Talen <Apprentice Engineer>";
	AMCL["LucF"] = "Lucian Fenner";

	AMCL["EsteG"] = "Estelle Gendry";

	AMCL["CaroW"] = "Carolyn Ward <Rogue Trainer>";
	AMCL["MileD"] = "Miles Dexter <Rogue Trainer>";
	AMCL["GregC"] = "Gregory Charles <Rogue Trainer>";
	AMCL["MennC"] = "Mennet Carkard";

	AMCL["WaltS"] = "Walter Soref <Locksmith>";

  --Red
	AMCL["RoyalQua"] = "The Royal Quarter";

	AMCL["LadWindr"] = "Lady Sylvanas Windrunner <Banshee Queen>";
	AMCL["Sharl"] = "Sharlindra";
	AMCL["Varima"] = "Varimathras";
	AMCL["ASunsor"] = "Ambassador Sunsorrow";
	AMCL["CyssaD"] = "Champion Cyssa Dawnrose <Paladin Trainer>";

	AMCL["GrizHalf"] = "Grizzle Halfmane <Alterac Valley Battlemaster>";

	AMCL["RexPix"] = "Rex Pixem <Arena Battlemaster>";

	AMCL["SirMalo"] = "Sir Malory Wheeler <Arathi Basin Battlemaster>";

	AMCL["Lyrlia"] = "Lyrlia Blackshield <Eye of the Storm Battlemaster>";

	AMCL["KurdB"] = "Kurden Bloodcalw <Warsong Gultch Battlemaster>";
	AMCL["SForth"] = "Sara Forthright <Strand of the Ancients Battlemaster>";
	AMCL["SForth&"] = "";
end  
